//
//
var script = { name: 'BadgeCheck'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M4.035,15.479C4.012,15.653,4,15.827,4,16c0,2.378,2.138,4.284,4.521,3.964C9.214,21.198,10.534,22,12,22 s2.786-0.802,3.479-2.036C17.857,20.284,20,18.378,20,16c0-0.173-0.012-0.347-0.035-0.521C21.198,14.786,22,13.465,22,12 s-0.802-2.786-2.035-3.479C19.988,8.347,20,8.173,20,8c0-2.378-2.143-4.288-4.521-3.964C14.786,2.802,13.466,2,12,2 S9.214,2.802,8.521,4.036C6.138,3.712,4,5.622,4,8c0,0.173,0.012,0.347,0.035,0.521C2.802,9.214,2,10.535,2,12 S2.802,14.786,4.035,15.479z M5.477,10.076l1.102-0.293L6.145,8.73C6.05,8.5,6,8.247,6,8c0-1.103,0.897-2,2-2 c0.247,0,0.499,0.05,0.73,0.145l1.054,0.434l0.293-1.102C10.308,4.607,11.099,4,12,4s1.692,0.607,1.923,1.477l0.293,1.102 l1.054-0.434C15.501,6.05,15.753,6,16,6c1.103,0,2,0.897,2,2c0,0.247-0.05,0.5-0.145,0.73l-0.434,1.053l1.102,0.293 C19.393,10.308,20,11.099,20,12s-0.607,1.692-1.477,1.924l-1.102,0.293l0.434,1.053C17.95,15.5,18,15.753,18,16 c0,1.103-0.897,2-2,2c-0.247,0-0.499-0.05-0.73-0.145l-1.054-0.434l-0.293,1.102C13.692,19.393,12.901,20,12,20 s-1.692-0.607-1.923-1.477l-0.293-1.102L8.73,17.855C8.499,17.95,8.247,18,8,18c-1.103,0-2-0.897-2-2c0-0.247,0.05-0.5,0.145-0.73 l0.434-1.053l-1.102-0.293C4.607,13.692,4,12.901,4,12S4.607,10.308,5.477,10.076z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M15.742 10.71L14.334 9.29 11.003 12.589 9.707 11.293 8.293 12.707 10.997 15.411z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
