//
//
var script = { name: 'Ball'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          fill: "none",
          d:
            "M7.775,19.396c2.471,0,5.954-0.539,8.518-3.103c3.77-3.77,3.171-9.568,2.854-11.445 c-0.625-0.108-1.686-0.25-2.955-0.25c-2.464,0-5.938,0.538-8.495,3.099c-3.773,3.78-3.166,9.578-2.847,11.454 C5.472,19.257,6.52,19.396,7.775,19.396z M8.708,10.292l1.793,1.794l1.585-1.586l-1.794-1.793l1.414-1.414L13.5,9.086l1.793-1.793 l1.414,1.414L14.914,10.5l1.793,1.792l-1.414,1.414L13.5,11.914L11.914,13.5l1.792,1.793l-1.415,1.414L10.5,14.915l-1.792,1.792 l-1.414-1.414L9.086,13.5l-1.793-1.794L8.708,10.292z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M3.757,20.97c0.069,0.018,1.726,0.426,4.018,0.426c2.849,0,6.884-0.641,9.932-3.688c5.335-5.335,3.351-13.6,3.264-13.949 C20.881,3.4,20.603,3.12,20.244,3.03c-0.069-0.018-1.742-0.433-4.052-0.433c-2.842,0-6.869,0.64-9.91,3.687 c-5.339,5.349-3.34,13.61-3.252,13.96C3.12,20.602,3.399,20.881,3.757,20.97z M7.698,7.696c2.557-2.561,6.031-3.099,8.495-3.099 c1.27,0,2.33,0.142,2.955,0.25c0.316,1.877,0.915,7.676-2.854,11.445c-2.564,2.563-6.047,3.103-8.518,3.103 c-1.255,0-2.303-0.139-2.924-0.245C4.532,17.274,3.925,11.477,7.698,7.696z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M7.293 15.293L8.707 16.707 10.5 14.915 12.291 16.707 13.706 15.293 11.914 13.5 13.5 11.914 15.293 13.706 16.707 12.292 14.914 10.5 16.707 8.707 15.293 7.293 13.5 9.086 11.706 7.293 10.292 8.707 12.086 10.5 10.5 12.086 8.708 10.292 7.292 11.706 9.086 13.5z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
