//
//
var script = { name: 'Baseball'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M11.99,2C9.325,2,6.813,3.043,4.919,4.938c-3.898,3.898-3.898,10.243,0,14.143c1.895,1.895,4.405,2.938,7.071,2.938 s5.177-1.043,7.071-2.938c3.899-3.899,3.899-10.244,0-14.143C17.167,3.043,14.655,2,11.99,2z M17.647,17.667 c-1.069,1.07-2.387,1.792-3.816,2.129c0-0.012-0.001-0.024-0.001-0.037c0.001-0.788,0.143-1.548,0.421-2.259l-1.863-0.729 c-0.369,0.944-0.557,1.948-0.558,2.987c0,0.084,0.003,0.168,0.006,0.252c-2.074-0.04-4.023-0.865-5.503-2.344 c-1.521-1.521-2.294-3.506-2.332-5.503c0.08,0.002,0.16,0.005,0.24,0.005c1.038,0,2.043-0.188,2.988-0.558l-0.73-1.862 c-0.718,0.282-1.495,0.416-2.281,0.412c0.329-1.396,1.028-2.722,2.115-3.809c1.108-1.108,2.481-1.848,3.972-2.168 c-0.009,0.651-0.125,1.307-0.357,1.95l1.881,0.681c0.32-0.884,0.482-1.793,0.482-2.701c0-0.033-0.004-0.065-0.005-0.098 c2.013,0.079,3.9,0.896,5.342,2.336c1.481,1.481,2.25,3.404,2.324,5.348c-0.931-0.01-1.876,0.142-2.787,0.473l0.684,1.88 c0.636-0.231,1.289-0.352,1.935-0.361C19.492,15.149,18.777,16.537,17.647,17.667z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M14.112 14.13c-.343.342-.654.719-.926 1.121l1.656 1.12c.2-.296.43-.574.683-.826.354-.353.749-.666 1.178-.929l-1.049-1.703C15.094 13.257 14.575 13.667 14.112 14.13zM8.456 8.474C8.201 8.727 7.924 8.956 7.629 9.155l1.119 1.658c.399-.27.776-.581 1.122-.926.464-.465.873-.984 1.217-1.542L9.384 7.297C9.121 7.723 8.809 8.12 8.456 8.474z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
