//
//
var script = { name: 'Basketball'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M4.929,19.071c1.895,1.895,4.405,2.938,7.071,2.938s5.177-1.043,7.071-2.938c3.899-3.899,3.899-10.243,0-14.143 C17.177,3.034,14.665,1.99,12,1.99S6.823,3.034,4.929,4.929C1.03,8.827,1.03,15.172,4.929,19.071z M12.309,4.006 c1.682,0.063,3.273,0.647,4.594,1.678L12,10.586l-1.46-1.46C11.701,7.647,12.332,5.818,12.309,4.006z M9.11,7.696L7.098,5.684 c0.954-0.744,2.048-1.259,3.218-1.51C10.301,5.41,9.871,6.651,9.11,7.696z M7.686,9.1c-0.998,0.688-2.208,1.061-3.459,1.057 c0.256-1.09,0.74-2.134,1.458-3.058L7.686,9.1z M4.011,12.146c0.077,0.002,0.154,0.014,0.231,0.014 c1.774,0,3.495-0.572,4.877-1.626L10.586,12l-4.901,4.901C4.6,15.504,4.041,13.83,4.011,12.146z M16.305,14.891 c1.042-0.758,2.28-1.188,3.508-1.206c-0.245,1.147-0.745,2.248-1.497,3.217L16.305,14.891z M16.902,18.316 c-0.91,0.71-1.949,1.207-3.059,1.47c-0.007-1.256,0.365-2.47,1.057-3.472L16.902,18.316z M11.858,20.002 c-1.744-0.03-3.396-0.621-4.761-1.686L12,13.414l1.463,1.463C12.36,16.321,11.804,18.143,11.858,20.002z M19.982,11.692 c-1.807-0.018-3.633,0.61-5.108,1.768L13.414,12l4.901-4.901C19.365,8.451,19.92,10.063,19.982,11.692z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
