//
//
var script = { name: 'Bomb'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21,3.001c-1.4,0-2.584,1.167-2.707,1.293L17.207,5.38l-1.091-1.088c-0.391-0.39-1.022-0.39-1.413,0.001L13.46,5.537 C12.512,5.18,11.52,5,10.5,5C5.813,5,2,8.813,2,13.5S5.813,22,10.5,22s8.5-3.813,8.5-8.5c0-0.909-0.144-1.8-0.428-2.658 l1.345-1.345C20.104,9.31,20.21,9.055,20.21,8.79c0-0.266-0.105-0.52-0.294-0.708l-1.293-1.29l1.088-1.088 C19.94,5.475,20.556,5.001,21,5.001h1v-2H21z M16.489,10.979C16.828,11.783,17,12.631,17,13.5c0,3.584-2.916,6.5-6.5,6.5 S4,17.084,4,13.5S6.916,7,10.5,7c0.96,0,1.89,0.21,2.762,0.624c0.381,0.181,0.837,0.103,1.136-0.196l1.014-1.014l2.384,2.377 l-1.092,1.092C16.415,10.17,16.331,10.604,16.489,10.979z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M6,13.5c0,1.202,0.468,2.332,1.318,3.182l1.414-1.414C8.26,14.795,8,14.168,8,13.5s0.26-1.295,0.732-1.768 C9.204,11.26,9.832,11,10.5,11V9c-1.202,0-2.333,0.468-3.182,1.318C6.468,11.168,6,12.298,6,13.5z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
