//
//
var script = { name: 'Brightness'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M19.707,9.293L19,8.586V7V6c0-0.553-0.447-1-1-1h-2h-0.586l-0.707-0.707l-2-2c-0.391-0.391-1.023-0.391-1.414,0l-2,2 L8.586,5H7H6C5.448,5,5,5.447,5,6v1v1.586L4.293,9.293l-2,2c-0.391,0.391-0.391,1.023,0,1.414l2,2L5,15.414V17v1 c0,0.553,0.448,1,1,1h2h0.586l0.707,0.707l2,2C11.488,21.902,11.744,22,12,22s0.512-0.098,0.707-0.293l2-2L15.414,19H17h1 c0.553,0,1-0.447,1-1v-1v-1.586l0.707-0.707l2-2c0.391-0.391,0.391-1.023,0-1.414L19.707,9.293z M17.293,14.293L17,14.586V15v2h-2 h-0.414l-0.293,0.293l-1,1L12,19.586l-1.293-1.293l-1-1L9.414,17H9H8H7v-2v-0.414l-0.293-0.293l-1-1L4.414,12l1.293-1.293l1-1 L7,9.414V9V7h2h0.414l0.293-0.293l1-1L12,4.414l1.293,1.293l1,1L14.586,7H15h1h1v2v0.414l0.293,0.293l1,1L19.586,12l-1.293,1.293 L17.293,14.293z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M12,8c-2.206,0-4,1.794-4,4s1.794,4,4,4c2.206,0,4-1.794,4-4S14.206,8,12,8z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
