//
//
var script = { name: 'Certification'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          fill: "none",
          d:
            "M4.392,14.054l1.544,0.893c0.309,0.179,0.499,0.509,0.499,0.866v1.776h1.776c0.357,0,0.688,0.19,0.866,0.5 l0.892,1.543l1.543-0.893c0.155-0.089,0.328-0.134,0.501-0.134s0.346,0.045,0.5,0.134l1.545,0.893l0.891-1.543 c0.179-0.31,0.509-0.5,0.866-0.5h1.776v-1.776c0-0.357,0.19-0.687,0.499-0.866l1.544-0.893l-0.893-1.543 c-0.179-0.31-0.179-0.691,0-1.001l0.893-1.543L18.09,9.074c-0.309-0.179-0.499-0.509-0.499-0.866V6.432h-1.776 c-0.357,0-0.688-0.19-0.866-0.5l-0.891-1.543l-1.545,0.892c-0.309,0.179-0.691,0.179-1,0L9.969,4.389L9.077,5.932 c-0.179,0.309-0.509,0.5-0.866,0.5H6.435v1.776c0,0.357-0.19,0.687-0.499,0.866L4.392,9.966l0.893,1.542 c0.18,0.31,0.18,0.692,0,1.001L4.392,14.054z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M2.06,14.677c0.068,0.256,0.235,0.475,0.465,0.607l1.91,1.104v2.199c0,0.552,0.447,1,1,1h2.199l1.104,1.91 c0.133,0.229,0.352,0.397,0.608,0.466c0.085,0.022,0.171,0.034,0.258,0.034c0.174,0,0.347-0.045,0.501-0.134l1.908-1.104 l1.91,1.104c0.229,0.133,0.503,0.168,0.759,0.1s0.475-0.236,0.607-0.466l1.103-1.909h2.199c0.553,0,1-0.448,1-1v-2.199l1.91-1.104 c0.478-0.276,0.642-0.888,0.365-1.366l-1.104-1.909l1.104-1.908c0.276-0.478,0.112-1.09-0.365-1.366l-1.91-1.104V5.432 c0-0.552-0.447-1-1-1h-2.199l-1.103-1.909c-0.133-0.23-0.352-0.397-0.607-0.466c-0.256-0.07-0.529-0.033-0.759,0.1l-1.91,1.104 l-1.909-1.104c-0.478-0.278-1.09-0.113-1.366,0.365l-1.104,1.91H5.435c-0.553,0-1,0.448-1,1v2.199l-1.91,1.104 C2.295,8.868,2.128,9.087,2.06,9.343C1.991,9.599,2.027,9.872,2.16,10.102l1.104,1.908L2.16,13.918 C2.027,14.148,1.991,14.421,2.06,14.677z M5.284,11.509L4.392,9.966l1.544-0.893c0.309-0.179,0.499-0.509,0.499-0.866V6.432h1.776 c0.357,0,0.688-0.19,0.866-0.5l0.892-1.543l1.544,0.892c0.309,0.179,0.691,0.179,1,0l1.545-0.892l0.891,1.543 c0.179,0.31,0.509,0.5,0.866,0.5h1.776v1.776c0,0.357,0.19,0.687,0.499,0.866l1.544,0.893l-0.893,1.543 c-0.179,0.31-0.179,0.691,0,1.001l0.893,1.543l-1.544,0.893c-0.309,0.179-0.499,0.509-0.499,0.866v1.776h-1.776 c-0.357,0-0.688,0.19-0.866,0.5l-0.891,1.543l-1.545-0.893c-0.154-0.089-0.327-0.134-0.5-0.134s-0.346,0.045-0.501,0.134 l-1.543,0.893l-0.892-1.543c-0.179-0.309-0.509-0.5-0.866-0.5H6.435v-1.776c0-0.357-0.19-0.687-0.499-0.866l-1.544-0.893 l0.893-1.543C5.464,12.201,5.464,11.819,5.284,11.509z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
