//
//
var script = { name: 'Cookie'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.598,11.064c-0.243-0.184-0.557-0.247-0.854-0.172C20.458,10.966,20.222,11,20,11c-1.654,0-3-1.346-3.003-2.937 c0.005-0.034,0.016-0.136,0.017-0.17c0.013-0.317-0.126-0.621-0.373-0.819c-0.248-0.199-0.575-0.271-0.881-0.187 C15.467,6.964,15.226,7,15,7c-1.654,0-3-1.346-3-3c0-0.217,0.031-0.444,0.099-0.716c0.078-0.315-0.002-0.648-0.214-0.894 c-0.211-0.245-0.518-0.369-0.853-0.342C5.883,2.544,2,6.822,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10 c0-0.049-0.003-0.097-0.007-0.16C21.986,11.535,21.841,11.249,21.598,11.064z M12,20c-4.411,0-8-3.589-8-8 c0-3.723,2.509-6.864,6.006-7.75C10.137,6.892,12.327,9,15,9c0.033,0,0.066,0,0.101-0.001c0.46,2.26,2.449,3.971,4.837,4 C19.444,16.941,16.073,20,12,20z"
        }
      }),
      _c("circle", { attrs: { cx: "12.5", cy: "11.5", r: "1.5" } }),
      _c("circle", { attrs: { cx: "8.5", cy: "8.5", r: "1.5" } }),
      _c("circle", { attrs: { cx: "7.5", cy: "12.5", r: "1.5" } }),
      _c("circle", { attrs: { cx: "15.5", cy: "15.5", r: "1.5" } }),
      _c("circle", { attrs: { cx: "10.5", cy: "16.5", r: "1.5" } })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
