//
//
var script = { name: 'DonateHeart'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M4 21h9.62c1.169 0 2.276-.509 3.037-1.397l5.102-5.952c.217-.253.294-.597.205-.918s-.332-.576-.647-.682l-1.968-.656c-.951-.317-2.042-.122-2.823.503l-3.185 2.547-.617-1.235C12.042 11.847 10.671 11 9.146 11H4c-1.103 0-2 .897-2 2v6C2 20.103 2.897 21 4 21zM4 13h5.146c.763 0 1.448.423 1.789 1.105L11.382 15H10 8 7v2h1 2 3c.001 0 .002 0 .002 0 .001 0 .001 0 .001 0 .001 0 .001 0 .002 0 0 0 .002 0 .006 0 .001 0 .002 0 .002 0 .001 0 .001 0 .001 0 .156-.002.308-.041.442-.11.001 0 .002 0 .003-.001.001-.001.003-.001.004-.002 0 0 .001 0 .001 0l.001 0c.001 0 .001 0 .001 0 .001 0 .001 0 .002-.001 0 0 .001 0 .001 0l.001 0c.001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001-.001.009.003.003-.001.003-.001.01 0 .002-.001.002-.001.001 0 .001 0 .001 0 .002 0 .002 0 .002-.001.001 0 .002-.001.003-.001s.001 0 .002-.001c0 0 .001-.001.002-.001v0c.001 0 .002-.001.003-.001s.001 0 .002-.001c.003 0 .001-.001.002-.001.001 0 .002-.001.003-.002s.001 0 .002-.001c.001-.001.001-.001.002-.001v0c.002-.001.003-.001.003-.001.001 0 .001 0 .002-.001 0 0 0 0 .001 0s.002-.001.002-.001c.001 0 .001 0 .001 0 .001 0 .001 0 .002-.001v0c.001 0 .001 0 .002-.001.009-.001.003-.001.003-.001 0-.001.002-.001.002-.001.038-.023.075-.049.11-.078l4.146-3.317c.262-.208.623-.273.94-.167l.557.186-4.133 4.823C14.759 18.745 14.205 19 13.62 19H4V13zM16 2L16 2c-.003 0-.012 0-.017 0C15.82 2.002 14.977 2.039 14 2.705c-.951-.648-1.774-.7-1.968-.704C12.023 2.001 12.008 2 12.002 2 12.001 2 12.001 2 12 2l0 0c-.001 0-.002 0-.002 0l0 0c-.801 0-1.555.313-2.119.878C9.313 3.445 9 4.198 9 5s.313 1.555.861 2.104l3.414 3.586C13.465 10.888 13.727 11 14 11s.535-.112.725-.311l3.396-3.568C18.688 6.555 19 5.802 19 5s-.313-1.555-.878-2.121C17.557 2.313 16.803 2 16.002 2l0 0C16.002 2 16.001 2 16 2zM17 5c0 .267-.104.518-.311.725L14 8.55l-2.707-2.843C11.104 5.518 11 5.267 11 5s.104-.518.294-.708C11.481 4.104 11.732 4 11.979 4c.025.001.502.032 1.067.485.081.065.163.139.247.222L14 5.414l.707-.707c.084-.083.166-.157.247-.222.529-.425.976-.478 1.052-.484.265.001.514.104.701.292C16.896 4.482 17 4.733 17 5z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
