//
//
var script = { name: 'History'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", { attrs: { d: "M12 8L12 13 17 13 17 11 14 11 14 8z" } }),
      _c("path", {
        attrs: {
          d:
            "M21.292,8.497c-0.226-0.535-0.505-1.05-0.829-1.529c-0.322-0.478-0.691-0.926-1.099-1.333S18.51,4.86,18.032,4.537 c-0.482-0.326-0.997-0.604-1.528-0.829c-0.545-0.23-1.114-0.407-1.69-0.525c-1.181-0.243-2.444-0.244-3.626,0 c-0.579,0.118-1.147,0.295-1.69,0.524c-0.531,0.225-1.045,0.503-1.529,0.83C7.492,4.859,7.043,5.229,6.636,5.636 C6.229,6.043,5.859,6.492,5.537,6.968C5.211,7.452,4.932,7.966,4.708,8.496c-0.23,0.544-0.407,1.113-0.525,1.69 C4.062,10.778,4,11.388,4,12c0,0.008,0.001,0.017,0.001,0.025H2L5,16l3-3.975H6.001C6.001,12.017,6,12.008,6,12 c0-0.477,0.048-0.952,0.142-1.412c0.092-0.449,0.229-0.89,0.408-1.313c0.174-0.412,0.391-0.813,0.645-1.188 C7.445,7.716,7.733,7.368,8.05,7.05s0.666-0.605,1.036-0.855c0.376-0.254,0.777-0.471,1.19-0.646 c0.421-0.179,0.863-0.316,1.313-0.408c0.919-0.189,1.904-0.188,2.823,0c0.447,0.092,0.89,0.229,1.313,0.408 c0.413,0.174,0.813,0.392,1.188,0.644c0.37,0.251,0.72,0.539,1.037,0.856c0.317,0.316,0.604,0.665,0.855,1.037 c0.252,0.372,0.469,0.772,0.645,1.189c0.178,0.417,0.314,0.858,0.408,1.311C19.952,11.049,20,11.524,20,12 s-0.048,0.951-0.142,1.41c-0.094,0.455-0.23,0.896-0.408,1.314c-0.176,0.416-0.393,0.815-0.646,1.189 c-0.25,0.371-0.537,0.72-0.854,1.036c-0.317,0.317-0.667,0.605-1.036,0.855c-0.376,0.253-0.775,0.471-1.189,0.646 c-0.423,0.179-0.865,0.316-1.313,0.408c-0.918,0.188-1.902,0.189-2.823,0c-0.449-0.092-0.89-0.229-1.313-0.408 c-0.412-0.174-0.813-0.391-1.188-0.645c-0.371-0.25-0.719-0.538-1.037-0.855l-1.414,1.414c0.407,0.408,0.855,0.777,1.332,1.099 c0.483,0.326,0.998,0.605,1.528,0.829c0.544,0.23,1.113,0.407,1.69,0.525C11.778,20.938,12.388,21,13,21 c0.612,0,1.223-0.062,1.813-0.183c0.577-0.118,1.146-0.294,1.69-0.524c0.532-0.225,1.047-0.504,1.531-0.831 c0.476-0.322,0.923-0.691,1.33-1.098s0.776-0.855,1.098-1.331c0.325-0.48,0.604-0.995,0.83-1.529 c0.228-0.538,0.405-1.106,0.525-1.692C21.938,13.22,22,12.61,22,12s-0.062-1.22-0.183-1.814 C21.697,9.602,21.52,9.034,21.292,8.497z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
