//
//
var script = { name: 'Joystick'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          fill: "none",
          d:
            "M19.98,8.72C19.877,7.225,18.567,6,17,6H7C5.383,6,4.069,7.26,4.009,8.867C4.007,8.92,4.001,8.972,3.991,9.022 L4,16.5c0,0.397,0.159,0.784,0.437,1.062C4.716,17.841,5.103,18,5.5,18c0.5,0,1.038-0.638,1.661-1.377 c0.336-0.397,0.717-0.849,1.149-1.261c0.577-0.55,1.821-1.099,2.459-1.249C11.187,14.015,11.72,14,12,14s0.813,0.015,1.229,0.112 c0.64,0.151,1.884,0.7,2.461,1.249c0.433,0.413,0.813,0.864,1.149,1.262C17.462,17.362,18,18,18.5,18 c0.397,0,0.784-0.159,1.062-0.437C19.841,17.284,20,16.897,20,16.5V9c-0.013-0.063-0.01-0.096-0.01-0.16 C19.985,8.84,19.98,8.779,19.98,8.72z M8,12c-1.105,0-2-0.895-2-2s0.895-2,2-2s2,0.895,2,2S9.105,12,8,12z M16,7 c0.553,0,1,0.447,1,1s-0.447,1-1,1s-1-0.447-1-1S15.447,7,16,7z M14,11c-0.553,0-1-0.447-1-1s0.447-1,1-1s1,0.447,1,1 S14.553,11,14,11z M16,13c-0.553,0-1-0.447-1-1s0.447-1,1-1s1,0.447,1,1S16.553,13,16,13z M18,11c-0.553,0-1-0.447-1-1s0.447-1,1-1 s1,0.447,1,1S18.553,11,18,11z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M21.979,8.652C21.802,6.044,19.615,4,17,4H7C4.321,4,2.142,6.076,2.013,8.737C2.003,8.816,2,8.898,2,8.99v7.51 c0,0.925,0.373,1.828,1.022,2.476C3.672,19.627,4.575,20,5.5,20c1.429,0,2.324-1.061,3.189-2.087c0.318-0.377,0.646-0.767,1-1.103 c0.237-0.226,1.102-0.647,1.539-0.751c0.252-0.059,1.293-0.058,1.541-0.001c0.439,0.104,1.304,0.526,1.541,0.751 c0.354,0.337,0.682,0.727,1,1.104C16.176,18.939,17.071,20,18.5,20c0.925,0,1.828-0.373,2.476-1.022 C21.627,18.328,22,17.425,22,16.5V9c0-0.095-0.004-0.18-0.014-0.26C21.984,8.712,21.981,8.683,21.979,8.652z M20,16.5 c0,0.397-0.159,0.784-0.438,1.063C19.284,17.841,18.897,18,18.5,18c-0.5,0-1.038-0.638-1.661-1.377 c-0.336-0.397-0.717-0.849-1.149-1.262c-0.577-0.549-1.821-1.098-2.461-1.249C12.813,14.015,12.28,14,12,14 s-0.813,0.015-1.23,0.113c-0.638,0.15-1.882,0.699-2.459,1.249c-0.433,0.412-0.813,0.863-1.149,1.261C6.538,17.362,6,18,5.5,18 c-0.397,0-0.784-0.159-1.063-0.438C4.159,17.284,4,16.897,4,16.5L3.991,9.022c0.01-0.051,0.016-0.103,0.018-0.155 C4.069,7.26,5.383,6,7,6h10c1.567,0,2.877,1.225,2.98,2.72c0,0.06,0.005,0.12,0.01,0.12c0,0.064-0.003,0.097,0.01,0.16V16.5z"
        }
      }),
      _c("circle", { attrs: { cx: "16", cy: "12", r: "1" } }),
      _c("circle", { attrs: { cx: "18", cy: "10", r: "1" } }),
      _c("circle", { attrs: { cx: "16", cy: "8", r: "1" } }),
      _c("circle", { attrs: { cx: "14", cy: "10", r: "1" } }),
      _c("circle", { attrs: { cx: "8", cy: "10", r: "2" } })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
