//
//
var script = { name: 'L500px'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M7.379,14.791c0.004,0.01,0.098,0.269,0.151,0.396c0.295,0.697,0.719,1.326,1.258,1.865s1.167,0.963,1.866,1.259\tc0.725,0.306,1.494,0.461,2.286,0.461s1.561-0.155,2.285-0.461c0.699-0.296,1.327-0.72,1.867-1.259\tc0.537-0.539,0.962-1.168,1.257-1.866c0.308-0.724,0.461-1.493,0.461-2.285c0-0.793-0.153-1.563-0.461-2.287\tc-0.295-0.699-0.72-1.325-1.257-1.864c-0.54-0.54-1.168-0.963-1.867-1.259c-0.724-0.306-1.492-0.461-2.285-0.461\tc-0.802,0-1.604,0.159-2.318,0.461c-0.57,0.241-1.536,0.862-2.102,1.446L8.518,8.939V4.107h8.117\tC16.93,4.104,16.93,3.69,16.93,3.557c0-0.137,0-0.549-0.296-0.553H7.857c-0.239,0-0.388,0.199-0.388,0.384v6.801\tc0,0.221,0.273,0.379,0.527,0.434c0.496,0.104,0.61-0.053,0.732-0.222l0.015-0.021c0.187-0.275,0.767-0.858,0.771-0.863\tc0.905-0.906,2.114-1.403,3.406-1.403c1.284,0,2.49,0.497,3.394,1.403c0.908,0.905,1.408,2.108,1.408,3.385\tc0,1.28-0.498,2.483-1.4,3.385c-0.892,0.892-2.137,1.403-3.416,1.403c-0.866,0-1.702-0.232-2.42-0.668l0.004-4.137\tc0-0.552,0.238-1.151,0.64-1.604c0.459-0.517,1.091-0.803,1.778-0.803c0.667,0,1.291,0.254,1.754,0.714\tc0.46,0.455,0.714,1.064,0.714,1.711c0,1.384-1.087,2.466-2.474,2.466c-0.268,0-0.753-0.117-0.773-0.123\tc-0.281-0.084-0.4,0.305-0.439,0.435c-0.151,0.492,0.077,0.59,0.122,0.604c0.448,0.138,0.741,0.164,1.124,0.164\tc1.959,0,3.551-1.594,3.551-3.553c0-1.943-1.592-3.526-3.548-3.526c-0.959,0-1.86,0.367-2.536,1.033\tC9.759,11.035,9.39,11.881,9.39,12.72v0.021c-0.004,0.105-0.004,2.583-0.005,3.398L9.38,16.133\tc-0.368-0.407-0.731-1.029-0.973-1.668c-0.097-0.25-0.309-0.206-0.601-0.116c-0.127,0.04-0.514,0.159-0.429,0.438L7.379,14.791z M11.551,13.819c0.002,0.118,0.111,0.223,0.175,0.286l0.021,0.019c0.111,0.11,0.217,0.164,0.315,0.164\tc0.081,0,0.13-0.037,0.148-0.054c0.05-0.046,0.604-0.608,0.658-0.662l0.618,0.618c0.058,0.064,0.12,0.097,0.192,0.098\tc0.1,0,0.207-0.058,0.32-0.174c0.267-0.272,0.134-0.42,0.069-0.49l-0.628-0.63l0.655-0.658c0.144-0.155,0.017-0.32-0.111-0.446\tc-0.183-0.184-0.359-0.23-0.474-0.127l-0.65,0.652l-0.657-0.658c-0.035-0.033-0.079-0.051-0.128-0.051\tc-0.087,0-0.191,0.06-0.308,0.177c-0.202,0.201-0.246,0.341-0.141,0.453l0.657,0.656l-0.653,0.655\tC11.578,13.701,11.55,13.759,11.551,13.819 M12.985,4.928c-1.053,0-2.171,0.211-2.992,0.566C9.904,5.528,9.852,5.6,9.842,5.699\tC9.831,5.792,9.855,5.915,9.918,6.076c0.051,0.131,0.187,0.478,0.449,0.376c0.842-0.32,1.771-0.498,2.618-0.498\tc0.96,0,1.892,0.188,2.768,0.558c0.696,0.296,1.354,0.721,2.068,1.341c0.052,0.046,0.106,0.068,0.165,0.068\tc0.138,0,0.271-0.137,0.386-0.266c0.191-0.214,0.321-0.392,0.135-0.569c-0.684-0.646-1.431-1.129-2.354-1.52\tC15.15,5.142,14.085,4.928,12.985,4.928 M18.653,17.914L18.653,17.914c-0.127-0.126-0.235-0.199-0.33-0.228\tc-0.095-0.027-0.18-0.007-0.247,0.059l-0.063,0.062c-0.651,0.652-1.41,1.164-2.255,1.522c-0.875,0.37-1.805,0.559-2.763,0.559\tc-0.96,0-1.889-0.188-2.763-0.559c-0.846-0.358-1.604-0.87-2.257-1.522c-0.679-0.679-1.191-1.438-1.521-2.255\tc-0.322-0.797-0.428-1.396-0.462-1.596c-0.004-0.018-0.005-0.031-0.009-0.041c-0.044-0.232-0.257-0.249-0.564-0.202\tc-0.127,0.019-0.517,0.078-0.479,0.358l0.002,0.006c0.104,0.646,0.283,1.282,0.539,1.887c0.411,0.971,0.999,1.843,1.749,2.591\tc0.746,0.748,1.619,1.337,2.59,1.747c1.006,0.426,2.073,0.642,3.175,0.642c1.101,0,2.167-0.216,3.172-0.643\tc0.973-0.411,1.844-0.999,2.593-1.747c0.002-0.001,0.042-0.042,0.065-0.066C18.908,18.398,18.979,18.24,18.653,17.914"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
