//
//
var script = { name: 'LAlgolia'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M12.177,9.059c-1.973,0-3.576,1.606-3.576,3.584c0,1.978,1.604,3.585,3.576,3.585c1.979,0,3.575-1.607,3.575-3.585 C15.752,10.666,14.15,9.059,12.177,9.059z M14.695,11.327l-2.366,1.229c-0.07,0.039-0.153-0.017-0.153-0.093V9.791h0.001 c0-0.06,0.054-0.104,0.109-0.104c1.021,0.038,1.949,0.603,2.452,1.492C14.766,11.234,14.749,11.3,14.695,11.327z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M18.578,3H5.361C4.055,3,3,4.061,3,5.366v13.277c0,1.311,1.062,2.371,2.361,2.371h13.217c1.306,0,2.361-1.065,2.361-2.372 V5.372C20.939,4.061,19.878,3,18.578,3z M10.466,6.404c-0.001-0.431,0.349-0.781,0.779-0.781h1.815c0.43,0,0.778,0.35,0.778,0.781 v0.618c0,0.009-0.001,0.018-0.003,0.027c-0.014,0.056-0.071,0.091-0.128,0.077c-0.497-0.137-1.011-0.207-1.525-0.207 c-0.535,0-1.067,0.075-1.581,0.224c-0.07,0.016-0.136-0.033-0.136-0.104V6.404z M7.08,8.993C6.775,8.688,6.776,8.194,7.081,7.89 l0.371-0.371c0.001-0.001,0.002-0.001,0.002-0.002C7.759,7.213,8.25,7.215,8.553,7.519L8.863,7.83 c0.043,0.05,0.038,0.127-0.017,0.159C8.597,8.169,8.361,8.371,8.144,8.59C7.928,8.807,7.729,9.041,7.55,9.289 C7.506,9.338,7.436,9.349,7.387,9.3L7.081,8.994C7.081,8.994,7.081,8.993,7.08,8.993z M12.177,17.73 c-2.802,0-5.074-2.273-5.074-5.087c0-2.813,2.272-5.092,5.074-5.092c2.807,0,5.074,2.272,5.074,5.086 C17.251,15.452,14.979,17.73,12.177,17.73z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
