//
//
var script = { name: 'LAmazon'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M2.027,17.023c0.061-0.098,0.156-0.105,0.289-0.02c3.035,1.76,6.338,2.645,9.906,2.645c2.381,0,4.73-0.447,7.051-1.332\tl0.262-0.117c0.115-0.051,0.195-0.084,0.244-0.109c0.189-0.074,0.326-0.037,0.438,0.109c0.102,0.143,0.076,0.279-0.1,0.4\tc-0.213,0.158-0.5,0.342-0.84,0.545c-1.037,0.619-2.203,1.098-3.492,1.441c-1.277,0.336-2.539,0.508-3.77,0.508\tc-1.889,0-3.68-0.33-5.369-0.99c-1.686-0.662-3.188-1.594-4.531-2.797c-0.084-0.061-0.125-0.123-0.125-0.184\tc0-0.039,0.016-0.074,0.041-0.109L2.027,17.023z M7.506,11.834c0-0.84,0.207-1.555,0.619-2.152C8.539,9.09,9.102,8.641,9.828,8.336\tc0.666-0.281,1.465-0.48,2.43-0.602c0.326-0.037,0.861-0.086,1.6-0.145V7.279c0-0.773-0.084-1.299-0.248-1.564\tc-0.252-0.359-0.65-0.541-1.203-0.541h-0.15c-0.4,0.039-0.746,0.162-1.039,0.383c-0.293,0.225-0.48,0.527-0.564,0.916\tc-0.049,0.25-0.172,0.387-0.361,0.426L8.188,6.635c-0.209-0.051-0.311-0.15-0.311-0.326c0-0.037,0.006-0.074,0.018-0.123\tc0.209-1.078,0.715-1.881,1.52-2.404c0.814-0.514,1.752-0.814,2.828-0.875h0.451c1.379,0,2.469,0.361,3.244,1.076\tc0.115,0.123,0.227,0.25,0.34,0.398c0.1,0.139,0.188,0.264,0.234,0.377c0.063,0.111,0.127,0.275,0.164,0.475\tc0.051,0.213,0.088,0.352,0.113,0.426c0.023,0.086,0.051,0.25,0.064,0.514c0.006,0.262,0.016,0.41,0.016,0.461v4.406\tc0,0.314,0.049,0.602,0.137,0.865c0.088,0.26,0.174,0.451,0.262,0.563l0.428,0.561c0.072,0.115,0.111,0.215,0.111,0.303\tc0,0.102-0.049,0.188-0.148,0.26c-1.002,0.877-1.553,1.352-1.639,1.428c-0.137,0.113-0.313,0.125-0.525,0.039\tc-0.162-0.141-0.314-0.277-0.439-0.414l-0.258-0.291c-0.051-0.063-0.141-0.174-0.266-0.352l-0.25-0.363\tc-0.676,0.74-1.338,1.205-2.002,1.393c-0.414,0.125-0.914,0.188-1.529,0.188c-0.926,0-1.701-0.285-2.303-0.863\tc-0.598-0.576-0.9-1.389-0.9-2.453l-0.043-0.063L7.506,11.834z M10.637,11.467c0,0.475,0.117,0.852,0.355,1.139\tc0.236,0.285,0.563,0.428,0.965,0.428c0.035,0,0.088-0.008,0.16-0.018c0.078-0.012,0.111-0.02,0.141-0.02\tc0.512-0.133,0.902-0.461,1.189-0.982c0.137-0.232,0.236-0.482,0.299-0.758c0.076-0.268,0.1-0.494,0.111-0.666\tc0.016-0.166,0.016-0.453,0.016-0.84V9.299c-0.703,0-1.24,0.049-1.604,0.148c-1.063,0.303-1.604,0.977-1.604,2.029l-0.029-0.016\tV11.467z M18.283,17.332c0.025-0.051,0.063-0.092,0.109-0.143c0.301-0.201,0.596-0.342,0.877-0.416\tc0.459-0.113,0.908-0.186,1.344-0.201c0.117-0.01,0.234,0,0.346,0.025c0.539,0.051,0.873,0.141,0.977,0.273\tc0.053,0.078,0.074,0.191,0.074,0.328v0.125c0,0.426-0.117,0.926-0.348,1.502s-0.553,1.041-0.963,1.402\tc-0.061,0.049-0.115,0.074-0.164,0.074c-0.025,0-0.051,0-0.074-0.01c-0.076-0.037-0.09-0.1-0.055-0.201\tc0.451-1.051,0.672-1.787,0.672-2.201c0-0.127-0.025-0.227-0.074-0.289c-0.119-0.137-0.457-0.217-1.02-0.217\tc-0.203,0-0.443,0.016-0.727,0.039c-0.303,0.041-0.582,0.078-0.834,0.115c-0.074,0-0.123-0.014-0.15-0.037\tc-0.025-0.025-0.031-0.039-0.018-0.064c0-0.014,0.006-0.025,0.018-0.053v-0.049L18.283,17.332z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
