//
//
var script = { name: 'LEbay'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M7.021,12.111V8.004h1.001v2.525C8.515,9.943,9.192,9.773,9.86,9.773c1.118,0,2.361,0.754,2.361,2.383\tc0,0.195-0.014,0.381-0.051,0.559c0.2-0.797,1.063-1.09,2.418-1.123c0.426-0.016,0.914-0.016,1.302-0.016v-0.111\tc0-0.738-0.464-1.039-1.276-1.039c-0.602,0-1.04,0.25-1.09,0.676H12.46c0.113-1.076,1.253-1.352,2.242-1.352\tc0.889,0,1.666,0.225,2.017,0.852L16.354,9.9h1.177l1.716,3.443l1.716-3.445H22l-3.105,6.098h-1.124l0.894-1.703l-1.945-3.656\tc0.108,0.213,0.167,0.465,0.167,0.777v2.055c0,0.289,0.009,0.574,0.034,0.838h-0.931c-0.025-0.213-0.038-0.426-0.038-0.639\tc-0.503,0.613-1.103,0.803-1.937,0.803c-1.236,0-1.897-0.652-1.897-1.416c0-0.125,0.013-0.236,0.031-0.338\tc-0.251,1.041-1.135,1.74-2.31,1.74c-0.727,0-1.414-0.262-1.837-0.775c0,0.201-0.013,0.412-0.033,0.611H6.983\tc0.018-0.324,0.034-0.713,0.034-1.037v-0.877H2.985c0.054,0.914,0.683,1.451,1.547,1.451c0.599,0,1.131-0.25,1.309-0.775h1.035\tc-0.2,1.078-1.344,1.439-2.329,1.439c-1.789,0.018-2.582-0.973-2.582-2.301c0-1.463,0.819-2.428,2.602-2.428\tc1.409,0,2.445,0.738,2.454,2.342V12.111L7.021,12.111z M14.648,12.264c-0.915,0.027-1.479,0.193-1.479,0.793\tc0,0.389,0.301,0.809,1.09,0.809c1.052,0,1.615-0.574,1.615-1.514v-0.109c-0.376,0-0.826,0.006-1.239,0.02h0.011L14.648,12.264z M9.589,13.828c0.927,0,1.566-0.672,1.566-1.686s-0.642-1.686-1.58-1.686c-0.928,0-1.578,0.672-1.578,1.686s0.639,1.686,1.565,1.686\th0.024H9.589z M5.958,11.73c-0.037-0.939-0.714-1.291-1.44-1.291c-0.788,0-1.414,0.395-1.516,1.291H5.958z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
