//
//
var script = { name: 'LFirefox'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.634,11.138c-0.026-0.175-0.06-0.286-0.06-0.286s-0.067,0.084-0.187,0.236c-0.032-0.429-0.109-0.859-0.228-1.274\tc-0.151-0.522-0.347-1.03-0.591-1.511c-0.15-0.322-0.329-0.635-0.54-0.92c-0.109-0.17-0.203-0.296-0.221-0.322\tc-0.362-0.589-0.767-0.947-1.249-1.621c-0.304-0.514-0.514-1.087-0.615-1.679c-0.136,0.354-0.236,0.726-0.303,1.097\tc-0.483-0.489-0.913-0.846-1.168-1.08c-1.267-1.183-1.113-1.79-1.113-1.79s-2.364,2.635-1.342,5.377\tc0.354,0.929,0.964,1.749,1.764,2.347c0.989,0.813,2.052,1.452,2.609,3.101c-0.447-0.87-1.131-1.588-1.967-2.087\tc0.253,0.602,0.38,1.232,0.371,1.884c0,2.465-1.999,4.465-4.476,4.465c-0.329,0-0.667-0.033-0.985-0.109\tc-0.39-0.076-0.763-0.201-1.107-0.379c-0.522-0.313-0.98-0.726-1.334-1.226v-0.007c0.042,0.016,0.067,0.024,0.075,0.024\tc0.187,0.067,0.372,0.118,0.567,0.153c0.758,0.159,1.544,0.066,2.245-0.263c0.708-0.396,1.139-0.685,1.484-0.574\tc0.348,0.109,0.608-0.22,0.373-0.565c-0.423-0.548-1.115-0.812-1.79-0.692c-0.711,0.101-1.36,0.599-2.28,0.117\tc-0.067-0.032-0.117-0.066-0.176-0.101c-0.06-0.042,0.202,0.051,0.134,0.009c-0.203-0.103-0.396-0.211-0.582-0.347\tc-0.009-0.009,0.145,0.043,0.126,0.033c-0.235-0.16-0.448-0.37-0.608-0.614c-0.159-0.296-0.178-0.659-0.04-0.973\tc0.092-0.16,0.218-0.278,0.38-0.354c0.117,0.06,0.192,0.1,0.192,0.1s-0.059-0.1-0.085-0.151c0.01-0.008,0.019,0,0.035-0.008\tc0.102,0.042,0.329,0.159,0.455,0.236c0.086,0.04,0.153,0.11,0.212,0.186c0,0,0.043-0.017,0.009-0.108\tc-0.043-0.111-0.119-0.205-0.221-0.263h0.018c0.093,0.051,0.178,0.102,0.261,0.167c0.076-0.186,0.119-0.368,0.112-0.563\tc0.007-0.108-0.011-0.22-0.043-0.313c-0.035-0.067,0.017-0.093,0.075-0.025c-0.01-0.052-0.025-0.102-0.051-0.152\tc0,0,0.034-0.051,0.051-0.062c0.043-0.04,0.084-0.082,0.136-0.107c0.293-0.185,0.599-0.347,0.92-0.474\tc0.26-0.107,0.472-0.201,0.515-0.228c0.067-0.042,0.127-0.084,0.186-0.136c0.22-0.185,0.364-0.438,0.413-0.718\tc0.01-0.04,0.01-0.074,0.01-0.107V8.412c-0.034-0.144-0.279-0.245-1.553-0.372C10,7.975,9.637,7.634,9.536,7.188v0.007\tC9.519,7.239,9.501,7.288,9.485,7.341c0.016-0.053,0.033-0.094,0.051-0.146V7.188c0.243-0.634,0.683-1.182,1.249-1.553\tc0.031-0.025-0.126,0.007-0.093-0.017c0.102-0.051,0.211-0.103,0.329-0.145c0.059-0.018-0.245-0.134-0.515-0.11\tc-0.162,0.009-0.322,0.051-0.473,0.11c0.067-0.049,0.252-0.118,0.21-0.118C9.898,5.414,9.568,5.542,9.273,5.718\tc0-0.033,0.01-0.06,0.018-0.083c-0.238,0.101-0.449,0.263-0.6,0.464V5.987C8.582,6.074,8.488,6.168,8.396,6.267H8.388\tC7.687,5.998,6.926,5.929,6.183,6.083L6.175,6.074h0.008c-0.15-0.118-0.284-0.271-0.387-0.439l-0.01,0.007L5.771,5.626\tC5.718,5.558,5.678,5.474,5.624,5.38C5.584,5.32,5.55,5.244,5.508,5.17c0,0,0-0.008-0.008-0.008c-0.01,0-0.026,0.077-0.033,0.049\tC5.34,4.875,5.272,4.512,5.288,4.158H5.28C5.07,4.301,4.908,4.503,4.832,4.747C4.791,4.833,4.765,4.875,4.74,4.926V4.898\tl0.024-0.125C4.758,4.782,4.758,4.79,4.747,4.798c-0.058,0.068-0.108,0.143-0.15,0.23C4.553,5.103,4.52,5.185,4.494,5.271V5.229\tc0-0.034,0.009-0.085,0-0.067L4.485,5.185c-0.27,0.601-0.446,1.243-0.506,1.902C3.963,7.205,3.963,7.315,3.963,7.424v0.018\tC3.77,7.651,3.6,7.88,3.449,8.125c-0.491,0.828-0.854,1.722-1.082,2.659c0.161-0.354,0.354-0.701,0.583-1.021\tc-0.439,1.106-0.659,2.271-0.659,3.454c0.076-0.346,0.169-0.684,0.278-1.022c-0.068,1.393,0.203,2.787,0.787,4.062\tc0.783,1.756,2.083,3.233,3.738,4.229c0.667,0.456,1.402,0.812,2.169,1.048c0.102,0.033,0.213,0.074,0.313,0.109\tc-0.034-0.018-0.059-0.035-0.092-0.042c0.912,0.271,1.864,0.413,2.818,0.413c3.387,0,4.501-1.292,4.61-1.418\tc0.16-0.151,0.303-0.331,0.396-0.541c0.068-0.024,0.127-0.05,0.195-0.084l0.041-0.016c0.051-0.026,0.075-0.034,0.075-0.034\tc0.517-0.244,0.997-0.541,1.437-0.896c0.657-0.473,1.122-1.166,1.326-1.951c0.125-0.286,0.125-0.6,0.024-0.894\tc0.05-0.084,0.094-0.161,0.101-0.178c0.727-1.166,1.141-2.499,1.199-3.876v-0.008V12.01C21.709,11.722,21.683,11.424,21.634,11.138z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
