//
//
var script = { name: 'LInternetExplorer'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M20.154,8.514c0.85-2.039,0.906-3.738-0.113-4.757c-1.133-1.132-3.852-0.792-6.737,0.565h-0.341\tc-2.037,0-4.02,0.738-5.492,2.039c-1.244,1.133-2.15,2.605-2.547,4.246C5.207,10.27,6.793,8.4,8.604,7.381\tc0.058,0,0.51-0.283,0.51-0.283c-0.057,0-0.905,0.85-1.074,1.02c-3.965,4.076-6.285,10.248-4.473,12.059\tc1.188,1.189,3.34,0.906,5.831-0.452c1.075,0.51,2.265,0.735,3.565,0.735c1.699,0,3.285-0.453,4.643-1.359\tc1.416-0.906,2.436-2.319,3.059-3.962h-4.416c-0.566,1.075-1.869,1.812-3.227,1.812c-1.926,0-3.512-1.586-3.568-3.397v-0.169h11.551\tv-0.17c0-0.283,0.057-0.623,0.057-0.848C21.061,11.005,20.721,9.703,20.154,8.514L20.154,8.514z M4.811,19.838\tc-0.906-0.906-0.621-2.662,0.453-4.756c0.51,1.416,1.359,2.662,2.435,3.567c0.341,0.282,0.735,0.565,1.133,0.792\tC7.018,20.404,5.547,20.574,4.811,19.838z M16.417,11.232H9.51v-0.057c0.113-1.756,1.754-3.285,3.681-3.285\tc1.812,0,3.284,1.416,3.397,3.285v0.057H16.417z M19.871,8.061c-0.34-0.566-0.793-1.132-1.303-1.585\tc-0.789-0.734-1.712-1.312-2.718-1.699c1.813-0.849,3.341-0.961,4.134-0.169C20.607,5.344,20.551,6.589,19.871,8.061\tC19.871,8.118,19.871,8.118,19.871,8.061C19.871,8.118,19.871,8.118,19.871,8.061z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
