//
//
var script = { name: 'LJoomla'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M15.539,14.059l-1.874,1.875l-1.777,1.777l-0.347,0.35c-1.026,1.024-2.473,1.373-3.785,1.048\tc-0.245,1.068-1.203,1.867-2.348,1.867C4.079,20.976,3,19.899,3,18.567c0-1.138,0.792-2.092,1.852-2.342\tc-0.334-1.319,0.013-2.778,1.047-3.811l0.135-0.135l1.777,1.778l-0.138,0.135c-0.577,0.585-0.577,1.519,0,2.092\tc0.577,0.586,1.517,0.586,2.09,0l0.349-0.349l1.775-1.778l1.877-1.879L15.539,14.059L15.539,14.059z M16.232,19.047\tc-1.366,0.423-2.914,0.091-3.996-0.988l-0.135-0.139l1.773-1.777l0.135,0.139c0.578,0.576,1.514,0.576,2.09,0\tc0.574-0.574,0.577-1.508-0.002-2.086l-0.35-0.349l-1.773-1.777l-1.877-1.878l1.777-1.776l1.875,1.879l1.774,1.777l0.349,0.349\tc1.023,1.02,1.384,2.458,1.058,3.766C20.101,16.353,21,17.354,21,18.57c0,1.338-1.079,2.407-2.406,2.407\tc-1.159,0-2.139-0.822-2.352-1.924L16.232,19.047L16.232,19.047z M8.231,10.085l1.881-1.879l1.777-1.777l0.347-0.346\tc1.068-1.069,2.593-1.406,3.949-1.002C16.344,3.91,17.352,3,18.569,3c1.329,0,2.408,1.078,2.408,2.407\tc0,1.223-0.912,2.232-2.093,2.39c0.39,1.349,0.052,2.861-1.012,3.925l-0.137,0.139l-1.777-1.777l0.139-0.138\tc0.576-0.578,0.576-1.512,0-2.087c-0.575-0.575-1.508-0.576-2.086,0.002l-0.347,0.346l-1.777,1.776l-1.879,1.876L8.231,10.085\tL8.231,10.085z M6.241,12.069l-0.346-0.347C4.822,10.65,4.489,9.116,4.896,7.757c-1.071-0.246-1.874-1.202-1.874-2.35\tC3.022,4.079,4.103,3,5.43,3c1.197,0,2.19,0.875,2.378,2.019c1.298-0.304,2.72,0.049,3.734,1.061l0.138,0.14L9.902,7.996L9.765,7.86\tc-0.577-0.574-1.512-0.574-2.088,0C7.098,8.446,7.099,9.379,7.673,9.952l0.349,0.35l1.777,1.777l1.879,1.879l-1.775,1.777\tL8.02,13.856l-1.778-1.777V12.069L6.241,12.069z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
