//
//
var script = { name: 'LKubernetes'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M10.013 13.738l-2.254.387c.319.911.956 1.708 1.753 2.231l.865-2.095c.045-.068.045-.159.022-.228C10.377 13.853 10.195 13.738 10.013 13.738zM10.878 10.824c.205 0 .387-.159.387-.364l.114-2.277-.456.091c-.797.182-1.526.592-2.118 1.162l1.89 1.343C10.764 10.801 10.81 10.824 10.878 10.824zM9.876 12.304c.137-.16.114-.387-.045-.524l-1.685-1.503c-.501.843-.729 1.822-.661 2.778l2.209-.637C9.785 12.395 9.831 12.372 9.876 12.304zM11.333 13.101L11.949 13.397 12.563 13.101 12.723 12.44 12.29 11.894 11.607 11.894 11.174 12.44zM12.677 10.665c.114.159.341.182.5.091l1.867-1.32 0 0c-.683-.683-1.571-1.116-2.573-1.23l.137 2.3C12.609 10.573 12.632 10.619 12.677 10.665z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M21.944,14.103l-1.73-7.446c-0.113-0.364-0.387-0.66-0.729-0.842L12.541,2.49c-0.182-0.091-0.387-0.114-0.569-0.114 s-0.387,0-0.569,0.045L4.457,5.769C4.115,5.928,3.865,6.224,3.774,6.611l-1.708,7.492c-0.068,0.387,0.023,0.774,0.25,1.093 l4.805,5.943c0.273,0.273,0.66,0.456,1.047,0.479h7.651c0.41,0.045,0.797-0.137,1.048-0.479l4.805-5.943 C21.899,14.877,21.99,14.49,21.944,14.103z M19.099,14.604c-0.046,0-0.068,0-0.114-0.023c-0.022-0.023-0.022-0.023-0.045-0.023 c-0.046,0-0.068-0.022-0.092-0.022c-0.091-0.023-0.159-0.068-0.25-0.114c-0.046,0-0.091-0.022-0.137-0.045h-0.022 c-0.229-0.091-0.479-0.159-0.729-0.205h-0.022c-0.068,0-0.137,0.023-0.182,0.068c0,0,0,0.023-0.023,0.023L17.3,14.239 c-0.41,1.298-1.298,2.391-2.46,3.097l0.068,0.182c0,0-0.022,0-0.022,0.022c-0.046,0.068-0.046,0.16-0.022,0.228 c0.091,0.228,0.205,0.455,0.364,0.66v0.045c0.046,0.046,0.068,0.068,0.091,0.114c0.068,0.068,0.114,0.137,0.159,0.228 c0.023,0.022,0.046,0.045,0.046,0.068c0,0,0.022,0,0.022,0.022c0.046,0.114,0.046,0.228,0.023,0.342 c-0.023,0.114-0.114,0.205-0.205,0.25c-0.068,0.022-0.114,0.045-0.183,0.045c-0.182,0-0.342-0.114-0.433-0.273 c-0.022,0-0.022-0.022-0.022-0.022c-0.022-0.023-0.022-0.045-0.046-0.068c-0.045-0.068-0.068-0.159-0.091-0.25l-0.046-0.137v-0.022 c-0.068-0.25-0.182-0.479-0.296-0.706c-0.045-0.068-0.113-0.114-0.182-0.137c0-0.023,0-0.023-0.023-0.023l-0.091-0.159 c-0.228,0.068-0.479,0.159-0.729,0.205c-0.41,0.114-0.82,0.159-1.229,0.159c-0.683,0-1.344-0.114-1.981-0.364l-0.091,0.182 c0,0.023,0,0.023-0.023,0.023c-0.068,0.022-0.136,0.068-0.182,0.137c-0.114,0.228-0.228,0.455-0.296,0.706L9.375,18.93 c-0.023,0.091-0.068,0.159-0.091,0.25c-0.022,0.023-0.045,0.045-0.045,0.068c-0.023,0-0.023,0.022-0.023,0.022 c-0.091,0.16-0.25,0.273-0.433,0.273c-0.045,0-0.114-0.023-0.159-0.045c-0.205-0.114-0.296-0.387-0.182-0.615 c0.023,0,0.023-0.023,0.023-0.023c0.022-0.023,0.022-0.045,0.045-0.068c0.068-0.091,0.114-0.182,0.159-0.228 s0.068-0.068,0.091-0.114v-0.023c0.137-0.205,0.273-0.433,0.364-0.66c0.023-0.068,0.023-0.16-0.023-0.228c0,0-0.022,0-0.022-0.022 l0.114-0.16c-0.228-0.114-0.41-0.25-0.615-0.41c-0.888-0.683-1.526-1.617-1.867-2.664l-0.205,0.022c0,0,0-0.022-0.023-0.022 c-0.045-0.046-0.114-0.068-0.182-0.068H6.279c-0.273,0.045-0.501,0.114-0.751,0.205H5.504c-0.045,0-0.091,0.023-0.137,0.046 c-0.068,0.022-0.159,0.068-0.25,0.091c-0.022,0-0.091-0.022-0.091,0c0,0.023,0,0.023-0.023,0.023 c-0.045,0.023-0.068,0.023-0.114,0.023c-0.205,0.022-0.41-0.114-0.456-0.319c-0.045-0.25,0.114-0.479,0.364-0.524 c0.023-0.023,0.023-0.023,0.046-0.023c0.045,0,0.068-0.022,0.091-0.022c0.091,0,0.182-0.023,0.273-0.023 c0.045-0.022,0.091-0.022,0.137-0.022c0.273-0.023,0.523-0.068,0.774-0.137c0.068-0.046,0.137-0.091,0.16-0.16 c0,0,0.022,0,0.022-0.022l0.182-0.046c-0.205-1.298,0.091-2.618,0.797-3.734c0.022-0.045,0.045-0.068,0.068-0.114L7.216,9.325 C7.215,9.332,7.214,9.338,7.212,9.344V9.321l0.004,0.004c0.01-0.065-0.031-0.145-0.072-0.186C6.962,8.957,6.734,8.82,6.506,8.684 C6.461,8.661,6.415,8.638,6.37,8.615C6.279,8.57,6.188,8.524,6.119,8.479c-0.022,0-0.068-0.045-0.068-0.045s0-0.023-0.022-0.023 C5.846,8.251,5.8,7.978,5.937,7.772c0.068-0.114,0.182-0.159,0.319-0.159c0.114,0,0.228,0.045,0.319,0.114c0,0,0,0,0.023,0.023 C6.62,7.772,6.643,7.772,6.666,7.795C6.734,7.864,6.78,7.932,6.848,8c0.023,0.022,0.068,0.045,0.091,0.091 c0.159,0.182,0.364,0.364,0.569,0.524c0.045,0.022,0.091,0.045,0.137,0.045c0.045,0,0.068-0.023,0.091-0.023h0.023l0.137,0.091 c0.751-0.797,1.73-1.366,2.801-1.594c0.273-0.046,0.523-0.091,0.774-0.114l0.023-0.182V6.793c0.068-0.045,0.091-0.114,0.114-0.182 c0-0.273,0-0.524-0.045-0.774V5.814c0-0.045,0-0.091-0.023-0.137c-0.023-0.091-0.045-0.182-0.045-0.273V5.291 c0-0.114,0.045-0.228,0.137-0.319c0.114-0.114,0.25-0.182,0.387-0.159c0.228,0.022,0.41,0.25,0.387,0.478v0.137 c-0.023,0.091-0.023,0.182-0.045,0.273c0,0.045-0.023,0.091-0.023,0.136V5.86C12.29,6.133,12.29,6.384,12.29,6.634 c0.023,0.068,0.045,0.136,0.114,0.182V6.793l0.023,0.182c1.07,0.114,2.117,0.524,2.96,1.184c0.183,0.182,0.387,0.364,0.569,0.546 l0.183-0.114h0.022c0.022,0.023,0.068,0.023,0.091,0.023c0.046,0,0.091-0.023,0.137-0.045c0.205-0.137,0.41-0.319,0.569-0.501 c0.022-0.023,0.068-0.046,0.091-0.091c0.046-0.068,0.114-0.137,0.183-0.205c0.022,0,0.045-0.022,0.068-0.045l0.022-0.023 c0.091-0.068,0.205-0.114,0.318-0.114c0.114,0,0.251,0.068,0.319,0.16c0.159,0.205,0.113,0.478-0.091,0.637 c0,0.023,0.022,0.023,0,0.046c-0.023,0.022-0.046,0.022-0.068,0.045c-0.092,0.045-0.16,0.091-0.251,0.137 c-0.045,0.022-0.091,0.045-0.137,0.068c-0.228,0.137-0.433,0.273-0.638,0.455c-0.045,0.046-0.068,0.137-0.068,0.205v0.023 l-0.136,0.137c0.364,0.569,0.638,1.207,0.797,1.867c0.137,0.66,0.182,1.343,0.091,2.003l0.182,0.046 c0.023,0.068,0.092,0.136,0.16,0.159c0.25,0.068,0.523,0.114,0.773,0.137h0.023c0.045,0.022,0.091,0.022,0.137,0.022 c0.091,0,0.182,0,0.272,0.023c0.046,0,0.092,0,0.092,0.023c0,0.022,0.022,0.022,0.045,0.022l0,0 c0.205,0.046,0.388,0.228,0.41,0.479C19.485,14.467,19.304,14.604,19.099,14.604z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M12.085 14.718c-.159-.091-.341-.046-.455.091l-1.116 2.027c.456.136.957.228 1.435.228.341 0 .66-.045.979-.114.159-.045.296-.068.433-.091l-1.093-1.981C12.199 14.809 12.153 14.763 12.085 14.718zM15.729 10.277l-1.708 1.548c-.046.045-.068.091-.091.16-.046.205.068.41.273.455l2.163.615c.045-.478.022-.956-.092-1.435C16.161 11.143 15.979 10.687 15.729 10.277zM13.656 13.761c-.159.068-.25.25-.205.433l.889 2.141c.546-.342 1.024-.82 1.366-1.366.182-.25.318-.547.433-.865l-2.277-.387C13.793 13.716 13.725 13.738 13.656 13.761z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
