//
//
var script = { name: 'LLess'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.142,10.843c0-0.64,0.098-1.018,0.098-1.707c0-1.067-0.393-1.411-1.263-1.411h-0.641v0.755h0.196\tc0.444,0,0.542,0.147,0.542,0.689c0,0.509-0.049,1.018-0.049,1.608c0,0.755,0.246,1.05,0.739,1.165v0.049\tc-0.493,0.116-0.739,0.411-0.739,1.166c0,0.591,0.049,1.067,0.049,1.608c0,0.558-0.114,0.705-0.542,0.705v0.017h-0.196v0.788h0.641\tc0.87,0,1.263-0.344,1.263-1.411c0-0.706-0.098-1.067-0.098-1.707c0-0.345,0.213-0.706,0.854-0.739v-0.853\tC21.354,11.549,21.142,11.188,21.142,10.843z M17.843,11.844c-0.493-0.196-0.952-0.312-0.952-0.64c0-0.246,0.197-0.395,0.558-0.395\tc0.361,0,0.689,0.148,1.05,0.411l0.657-0.87c-0.409-0.313-0.968-0.641-1.724-0.641c-1.115,0-1.871,0.641-1.871,1.544\tc0,0.804,0.706,1.214,1.298,1.443c0.508,0.196,1.001,0.361,1.001,0.689c0,0.246-0.197,0.41-0.641,0.41\tc-0.41,0-0.821-0.164-1.263-0.509l-0.657,0.952c0.492,0.41,1.247,0.689,1.871,0.689c1.313,0,2.019-0.689,2.019-1.592\tC19.188,12.435,18.482,12.058,17.843,11.844z M6.633,13.698c-0.114,0-0.262-0.098-0.262-0.41V8.513V7.79V7.725H4.039\tc-0.886,0-1.279,0.344-1.279,1.411c0,0.706,0.099,1.101,0.099,1.707c0,0.345-0.213,0.706-0.854,0.739v0.853\tc0.641,0.017,0.854,0.378,0.854,0.723c0,0.606-0.099,0.968-0.099,1.674c0,1.067,0.394,1.411,1.264,1.411h0.64v-0.755H4.467\tc-0.411,0-0.542-0.164-0.542-0.706c0-0.541,0.049-1.001,0.049-1.607c0-0.756-0.245-1.05-0.738-1.165v-0.051\tc0.493-0.114,0.738-0.409,0.738-1.165c0-0.59-0.049-1.066-0.049-1.607c0-0.542,0.114-0.689,0.542-0.689h0.442\tc0,1.066,0,4.711,0,4.711c0,1.001,0.345,1.657,1.346,1.657c0.313,0,0.559-0.05,0.739-0.115l-0.165-1.066\tC6.731,13.698,6.683,13.698,6.633,13.698z M13.871,11.844c-0.509-0.196-0.969-0.312-0.969-0.64c0-0.246,0.197-0.395,0.558-0.395\tc0.361,0,0.689,0.148,1.051,0.411l0.656-0.87c-0.41-0.313-0.968-0.641-1.723-0.641c-1.116,0-1.872,0.641-1.872,1.544\tc0,0.804,0.707,1.214,1.297,1.443c0.51,0.196,1.002,0.361,1.002,0.689c0,0.246-0.197,0.41-0.641,0.41\tc-0.41,0-0.82-0.164-1.264-0.509l-0.64,0.952c0.492,0.41,1.247,0.689,1.871,0.689c1.313,0,2.019-0.689,2.019-1.592\tC15.217,12.435,14.511,12.058,13.871,11.844z M9.029,9.694c-1.198,0-2.347,1.001-2.314,2.577c0,1.624,1.066,2.576,2.479,2.576\tc0.591,0,1.247-0.214,1.756-0.558l-0.492-0.87c-0.36,0.213-0.706,0.312-1.066,0.312c-0.657,0-1.165-0.312-1.297-1.066h2.971\tc0.017-0.115,0.049-0.345,0.049-0.607C11.131,10.728,10.408,9.694,9.029,9.694z M8.094,11.762c0.099-0.655,0.492-0.969,0.951-0.969\tc0.592,0,0.821,0.411,0.821,0.969H8.094z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
