//
//
var script = { name: 'LPaypal'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M19.554,9.488c0.121,0.563,0.106,1.246-0.04,2.051c-0.582,2.978-2.477,4.466-5.683,4.466h-0.442 c-0.168,0-0.314,0.056-0.444,0.166c-0.126,0.11-0.208,0.253-0.239,0.427l-0.041,0.189l-0.553,3.479l-0.021,0.151 c-0.033,0.175-0.115,0.316-0.247,0.426c-0.13,0.111-0.278,0.166-0.447,0.166H8.874c-0.142,0-0.252-0.049-0.331-0.15 c-0.08-0.102-0.11-0.221-0.09-0.363c0.061-0.373,0.148-0.938,0.267-1.689c0.117-0.75,0.206-1.314,0.267-1.689 s0.15-0.938,0.272-1.685c0.121-0.748,0.212-1.31,0.271-1.685c0.033-0.248,0.179-0.371,0.433-0.371h1.316 c0.893,0.013,1.682-0.057,2.375-0.211c1.172-0.262,2.134-0.744,2.886-1.449c0.685-0.637,1.203-1.462,1.56-2.473 c0.162-0.47,0.277-0.917,0.352-1.338c0.006-0.041,0.014-0.066,0.025-0.074c0.008-0.011,0.022-0.014,0.035-0.011 c0.012,0.004,0.032,0.016,0.062,0.035C19.098,8.254,19.428,8.797,19.554,9.488L19.554,9.488z M17.826,6.652 c0,0.717-0.154,1.508-0.465,2.374c-0.537,1.562-1.547,2.618-3.037,3.168c-0.758,0.269-1.602,0.408-2.535,0.425 c0,0.006-0.301,0.007-0.904,0.007l-0.903-0.007c-0.672,0-1.067,0.32-1.187,0.964c-0.013,0.053-0.298,1.83-0.855,5.329 c-0.008,0.066-0.048,0.102-0.121,0.102H4.854c-0.148,0-0.271-0.055-0.369-0.165c-0.098-0.112-0.135-0.241-0.115-0.39L6.702,3.664 C6.734,3.469,6.827,3.31,6.978,3.181c0.151-0.127,0.325-0.19,0.519-0.19h6.014c0.228,0,0.555,0.044,0.979,0.131 c0.428,0.084,0.801,0.194,1.123,0.321c0.718,0.274,1.266,0.688,1.645,1.237C17.637,5.232,17.826,5.887,17.826,6.652L17.826,6.652z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
