//
//
var script = { name: 'LPinterestAlt'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M5.077,1526.543c0,0.778,0.136,1.513,0.404,2.199c0.27,0.687,0.643,1.29,1.121,1.802c0.479,0.512,1.023,0.955,1.644,1.329 c0.62,0.376,1.286,0.656,2.002,0.844c0.713,0.187,1.44,0.281,2.185,0.281c1.139,0,2.199-0.241,3.182-0.721 c0.979-0.479,1.776-1.177,2.391-2.094c0.614-0.915,0.919-1.95,0.919-3.104c0-0.692-0.068-1.369-0.207-2.031 c-0.138-0.663-0.352-1.303-0.646-1.913c-0.296-0.613-0.654-1.152-1.082-1.617c-0.426-0.464-0.947-0.835-1.568-1.114 c-0.621-0.277-1.302-0.417-2.045-0.417c-0.489,0-0.977,0.115-1.459,0.346c-0.482,0.23-0.828,0.546-1.036,0.951 c-0.073-0.281-0.173-0.687-0.306-1.218c-0.128-0.53-0.214-0.872-0.252-1.027c-0.04-0.154-0.114-0.411-0.222-0.767 c-0.108-0.356-0.202-0.614-0.281-0.769c-0.079-0.153-0.193-0.378-0.344-0.674c-0.152-0.296-0.32-0.576-0.498-0.838 c-0.181-0.262-0.405-0.575-0.672-0.935l-0.149-0.053l-0.099,0.108c-0.107,1.133-0.162,1.811-0.162,2.035 c0,0.663,0.079,1.407,0.235,2.233c0.153,0.825,0.395,1.862,0.72,3.109c0.325,1.246,0.511,1.979,0.561,2.196 c-0.229,0.467-0.345,1.077-0.345,1.827c0,0.599,0.187,1.16,0.562,1.688c0.376,0.526,0.851,0.789,1.427,0.789 c0.441,0,0.783-0.146,1.028-0.439c0.246-0.292,0.366-0.66,0.366-1.109c0-0.476-0.158-1.165-0.476-2.066 c-0.318-0.902-0.476-1.575-0.476-2.022c0-0.453,0.162-0.832,0.486-1.129c0.324-0.299,0.719-0.449,1.179-0.449 c0.396,0,0.763,0.09,1.104,0.271c0.341,0.179,0.623,0.425,0.849,0.733c0.227,0.311,0.431,0.653,0.606,1.029 c0.177,0.376,0.315,0.773,0.411,1.196c0.096,0.422,0.17,0.823,0.216,1.2c0.049,0.379,0.07,0.737,0.07,1.077 c0,1.247-0.396,2.219-1.183,2.915c-0.791,0.696-1.821,1.042-3.088,1.042c-1.441,0-2.646-0.466-3.611-1.401 c-0.966-0.932-1.452-2.117-1.452-3.554c0-0.317,0.048-0.623,0.139-0.919c0.089-0.295,0.186-0.53,0.291-0.704 c0.104-0.171,0.202-0.338,0.291-0.492c0.09-0.154,0.137-0.264,0.137-0.33c0-0.202-0.053-0.465-0.16-0.79 c-0.111-0.325-0.242-0.487-0.4-0.487c-0.015,0-0.077,0.011-0.185,0.034c-0.368,0.108-0.695,0.31-0.979,0.605 c-0.284,0.296-0.505,0.638-0.659,1.022c-0.153,0.386-0.271,0.775-0.352,1.169C5.114,1525.784,5.077,1526.168,5.077,1526.543z",
          transform: "matrix(1 0 0 -1 0 1536)"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
