//
//
var script = { name: 'LSlack'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M6.194 14.644c0 1.16-.943 2.107-2.103 2.107-1.158 0-2.104-.947-2.104-2.107 0-1.16.946-2.106 2.104-2.106h2.103V14.644zM7.255 14.644c0-1.16.944-2.106 2.104-2.106 1.156 0 2.103.946 2.103 2.106v5.274c0 1.16-.946 2.106-2.103 2.106-1.16 0-2.104-.946-2.104-2.106V14.644zM9.359 6.189c-1.16 0-2.104-.948-2.104-2.107s.944-2.106 2.104-2.106c1.156 0 2.103.946 2.103 2.106v2.107H9.359zM9.359 7.249c1.156 0 2.103.947 2.103 2.107 0 1.16-.946 2.106-2.103 2.106H4.092c-1.158 0-2.104-.946-2.104-2.106 0-1.16.946-2.107 2.104-2.107H9.359zM17.806 9.356c0-1.16.943-2.107 2.103-2.107 1.158 0 2.104.947 2.104 2.107 0 1.16-.946 2.106-2.104 2.106h-2.103V9.356zM16.745 9.356c0 1.16-.944 2.106-2.104 2.106-1.156 0-2.103-.946-2.103-2.106V4.082c0-1.16.946-2.106 2.103-2.106 1.16 0 2.104.946 2.104 2.106V9.356zM14.641 17.811c1.16 0 2.104.948 2.104 2.107s-.944 2.106-2.104 2.106c-1.156 0-2.103-.946-2.103-2.106v-2.107H14.641zM14.641 16.751c-1.156 0-2.103-.947-2.103-2.107 0-1.16.946-2.106 2.103-2.106h5.268c1.158 0 2.104.946 2.104 2.106 0 1.16-.946 2.107-2.104 2.107H14.641z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
