//
//
var script = { name: 'LSoundcloud'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M2.971,12.188c-0.041,0-0.078,0.038-0.083,0.082l-0.194,1.797l0.194,1.756c0.005,0.049,0.042,0.082,0.083,0.082\ts0.075-0.033,0.084-0.082l0.211-1.756l-0.225-1.797c0-0.046-0.037-0.082-0.074-0.082 M2.217,12.879c-0.051,0-0.076,0.03-0.088,0.079\tl-0.138,1.109l0.138,1.092c0,0.046,0.037,0.078,0.075,0.078c0.039,0,0.073-0.038,0.087-0.087l0.176-1.1l-0.176-1.112\tc0-0.051-0.037-0.076-0.075-0.076 M3.742,11.837c-0.052,0-0.1,0.039-0.1,0.087l-0.176,2.139l0.188,2.051\tc0,0.049,0.037,0.1,0.099,0.1c0.052,0,0.089-0.051,0.102-0.1l0.211-2.064l-0.211-2.126c-0.013-0.049-0.052-0.1-0.102-0.1 M4.543,11.749c-0.063,0-0.114,0.051-0.126,0.113l-0.161,2.201l0.177,2.123c0.012,0.063,0.061,0.114,0.122,0.114\tc0.064,0,0.113-0.051,0.125-0.124l0.201-2.113L4.68,11.876c0-0.063-0.049-0.112-0.111-0.112L4.543,11.749L4.543,11.749z M5.505,12.05c-0.003-0.076-0.062-0.125-0.133-0.125c-0.074,0-0.13,0.051-0.137,0.125l-0.182,2.026l0.169,2.138\tc0,0.076,0.061,0.131,0.132,0.131c0.062,0,0.123-0.055,0.123-0.132l0.189-2.139l-0.189-2.036L5.505,12.05z M6.179,10.624\tc-0.082,0-0.148,0.075-0.148,0.15l-0.176,3.3l0.156,2.139c0,0.077,0.066,0.137,0.15,0.137c0.078,0,0.145-0.074,0.15-0.15\tl0.174-2.137L6.312,10.75c-0.007-0.088-0.074-0.152-0.15-0.152 M6.962,9.836c-0.087,0-0.163,0.075-0.17,0.163l-0.15,4.063\tl0.138,2.125c0,0.1,0.075,0.174,0.163,0.174c0.086,0,0.161-0.074,0.174-0.174l0.162-2.125l-0.161-4.052\tc-0.013-0.1-0.088-0.175-0.175-0.175 M7.769,9.463c-0.102,0-0.176,0.073-0.188,0.173l-0.139,4.4l0.139,2.102\tc0.012,0.1,0.086,0.188,0.188,0.188c0.099,0,0.187-0.088,0.187-0.188l0.163-2.102l-0.164-4.4c0-0.1-0.087-0.188-0.188-0.188 M8.805,9.486c0-0.113-0.088-0.199-0.199-0.199c-0.101,0-0.201,0.086-0.201,0.199L8.28,14.024l0.124,2.089\tc0.015,0.111,0.101,0.199,0.214,0.199s0.201-0.088,0.201-0.199l0.136-2.089l-0.136-4.55L8.805,9.486L8.805,9.486z M9.43,9.375\tc-0.113,0-0.213,0.1-0.213,0.211l-0.125,4.439l0.125,2.063c0,0.125,0.1,0.213,0.213,0.213c0.114,0,0.214-0.099,0.214-0.224\tl0.125-2.064l-0.14-4.428c0-0.122-0.1-0.225-0.225-0.225 M10.242,9.499c-0.137,0-0.237,0.111-0.237,0.237l-0.086,4.29l0.113,2.063\tc0,0.124,0.1,0.231,0.236,0.231c0.125,0,0.227-0.1,0.237-0.237l0.101-2.038l-0.112-4.265c-0.01-0.137-0.113-0.238-0.237-0.238 M11.245,8.756c-0.039-0.024-0.089-0.037-0.139-0.037s-0.1,0.013-0.137,0.037c-0.076,0.045-0.125,0.125-0.125,0.214v0.05\tl-0.086,5.044l0.096,2.043v0.007c0.006,0.05,0.024,0.112,0.06,0.15c0.05,0.051,0.12,0.086,0.196,0.086\tc0.067,0,0.132-0.036,0.175-0.074c0.049-0.051,0.076-0.113,0.076-0.188l0.013-0.201l0.097-1.838l-0.113-5.075\tc0-0.087-0.051-0.161-0.111-0.199L11.245,8.756L11.245,8.756z M12.082,8.299c-0.036-0.038-0.073-0.052-0.124-0.052\tc-0.063,0-0.123,0.014-0.174,0.052c-0.062,0.05-0.1,0.126-0.1,0.201v0.023l-0.114,5.513l0.063,1.014l0.052,0.988\tc0,0.138,0.124,0.263,0.273,0.263c0.151,0,0.275-0.125,0.275-0.275l0.125-2.013l-0.125-5.536c0-0.102-0.062-0.186-0.138-0.231 M19.547,11.396c-0.336,0-0.663,0.072-0.949,0.193c-0.201-2.214-2.051-3.95-4.327-3.95c-0.55,0-1.09,0.112-1.575,0.299\tc-0.188,0.075-0.227,0.151-0.238,0.301v7.812c0.014,0.152,0.124,0.276,0.275,0.29h6.827c1.35,0.012,2.45-1.075,2.45-2.438\tc0-1.363-1.101-2.463-2.45-2.463"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
