//
//
var script = { name: 'LTux'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M12.642,8.084 c-0.364,0.189-0.79,0.42-1.242,0.42s-0.81-0.209-1.066-0.413C10.204,7.99,10.1,7.889,10.021,7.815 c-0.137-0.108-0.12-0.259-0.064-0.254c0.094,0.012,0.108,0.136,0.168,0.191c0.08,0.075,0.18,0.172,0.302,0.269 c0.243,0.192,0.567,0.38,0.973,0.38s0.878-0.238,1.167-0.4c0.163-0.092,0.371-0.256,0.541-0.381c0.13-0.095,0.125-0.21,0.232-0.198 c0.107,0.013,0.028,0.127-0.122,0.258C13.067,7.811,12.832,7.985,12.642,8.084z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M19.649,17.77L19.649,17.77c-0.142-0.16-0.209-0.456-0.281-0.771s-0.153-0.654-0.411-0.874 c-0.001,0-0.002-0.001-0.002-0.001c-0.052-0.045-0.104-0.083-0.157-0.114c-0.053-0.032-0.106-0.057-0.16-0.078 c0.359-1.065,0.219-2.126-0.145-3.084c-0.444-1.177-1.222-2.202-1.815-2.903c-0.664-0.838-1.313-1.633-1.301-2.808 c0.021-1.793,0.197-5.118-2.958-5.122c-0.128,0-0.262,0.005-0.401,0.017C8.492,2.315,9.428,6.04,9.375,7.287 C9.311,8.199,9.126,8.918,8.498,9.81c-0.736,0.876-1.774,2.295-2.266,3.771C6,14.278,5.89,14.988,5.991,15.661 C5.96,15.689,5.93,15.719,5.9,15.75c-0.216,0.231-0.376,0.511-0.555,0.699c-0.166,0.167-0.403,0.229-0.664,0.323 c-0.261,0.094-0.547,0.231-0.721,0.565l0,0c0,0,0,0.001-0.001,0.002c-0.082,0.152-0.108,0.317-0.108,0.484 c0,0.154,0.023,0.311,0.046,0.461c0.048,0.313,0.097,0.609,0.032,0.81c-0.206,0.564-0.232,0.954-0.087,1.237 c0.146,0.284,0.444,0.409,0.783,0.479c0.676,0.141,1.592,0.106,2.314,0.489l0.062-0.117L6.94,21.3 c0.773,0.404,1.557,0.547,2.182,0.405c0.454-0.104,0.821-0.374,1.011-0.789c0.489-0.002,1.025-0.209,1.885-0.256 c0.583-0.047,1.312,0.207,2.149,0.16c0.022,0.091,0.054,0.179,0.098,0.262c0,0,0,0.001,0.001,0.002 c0.324,0.649,0.928,0.946,1.571,0.896s1.329-0.43,1.883-1.089l-0.102-0.085l0.102,0.084c0.527-0.64,1.403-0.905,1.984-1.255 c0.29-0.175,0.525-0.395,0.544-0.713C20.266,18.604,20.079,18.247,19.649,17.77z M11.859,6.062 c-0.003-0.234,0.036-0.435,0.126-0.639s0.201-0.351,0.358-0.47s0.312-0.174,0.494-0.176h0.009c0.179,0,0.332,0.053,0.489,0.167 c0.159,0.116,0.274,0.261,0.366,0.463c0.091,0.197,0.135,0.39,0.14,0.619c0,0.006,0,0.011,0.001,0.017 c0.002,0.235-0.038,0.435-0.127,0.639c-0.051,0.116-0.109,0.214-0.18,0.299c-0.023-0.011-0.049-0.022-0.074-0.033 c-0.089-0.038-0.167-0.069-0.237-0.096S13.1,6.808,13.043,6.788c0.041-0.049,0.122-0.108,0.151-0.181 c0.046-0.11,0.068-0.219,0.072-0.347c0-0.005,0.002-0.01,0.002-0.016c0.003-0.124-0.014-0.229-0.05-0.337 c-0.038-0.113-0.086-0.195-0.155-0.263s-0.139-0.099-0.223-0.101c-0.004,0-0.007,0-0.011,0c-0.079,0-0.146,0.027-0.217,0.086 c-0.074,0.062-0.129,0.141-0.174,0.25c-0.046,0.11-0.068,0.219-0.072,0.348c-0.001,0.005-0.001,0.01-0.001,0.015 c-0.002,0.071,0.003,0.137,0.014,0.2c-0.16-0.08-0.365-0.138-0.507-0.171c-0.008-0.062-0.013-0.125-0.014-0.19V6.062z M9.715,6.114 C9.703,5.912,9.724,5.738,9.779,5.558s0.13-0.311,0.238-0.418c0.108-0.107,0.217-0.161,0.349-0.168c0.01,0,0.02,0,0.03,0 c0.118,0,0.225,0.04,0.335,0.127c0.119,0.095,0.209,0.217,0.284,0.389c0.076,0.171,0.116,0.343,0.127,0.545v0.002 c0.006,0.085,0.005,0.165-0.002,0.243c-0.023,0.006-0.046,0.014-0.068,0.021c-0.128,0.044-0.23,0.093-0.328,0.158 c0.01-0.068,0.011-0.137,0.003-0.214c0-0.004,0-0.008,0-0.012c-0.011-0.102-0.032-0.188-0.068-0.274 c-0.038-0.09-0.081-0.154-0.138-0.203c-0.052-0.044-0.1-0.065-0.153-0.064c-0.006,0-0.011,0-0.017,0.001 c-0.061,0.005-0.11,0.034-0.157,0.092c-0.047,0.057-0.078,0.128-0.101,0.223c-0.022,0.094-0.028,0.187-0.019,0.293 c0,0.004,0.001,0.007,0.001,0.012c0.01,0.103,0.031,0.189,0.067,0.275c0.038,0.089,0.082,0.153,0.139,0.202 c0.009,0.008,0.019,0.016,0.027,0.022c-0.059,0.045-0.098,0.078-0.146,0.113c-0.03,0.022-0.067,0.049-0.11,0.081 C9.979,6.917,9.906,6.807,9.843,6.662C9.767,6.49,9.727,6.318,9.715,6.116V6.114z M9.87,7.342c0.187-0.14,0.315-0.234,0.402-0.298 c0.086-0.063,0.121-0.086,0.148-0.112v0l0.001,0c0.14-0.132,0.362-0.374,0.699-0.49c0.115-0.04,0.245-0.065,0.39-0.066 c0.275-0.001,0.608,0.089,1.01,0.348c0.247,0.16,0.439,0.174,0.882,0.363l0.001,0l0,0c0.213,0.087,0.338,0.202,0.399,0.321 c0.061,0.12,0.063,0.25,0.012,0.387c-0.103,0.273-0.429,0.562-0.887,0.705l0,0l-0.001,0c-0.224,0.072-0.418,0.233-0.647,0.364 c-0.229,0.131-0.489,0.237-0.842,0.217c-0.15-0.009-0.271-0.039-0.374-0.083c-0.103-0.044-0.188-0.103-0.27-0.167 C10.632,8.7,10.49,8.536,10.283,8.415l-0.001,0l-0.001,0C9.948,8.225,9.766,8.007,9.708,7.817C9.651,7.628,9.705,7.466,9.87,7.342z M10.001,20.36v0.001c-0.047,0.623-0.398,0.961-0.938,1.085c-0.539,0.123-1.27,0-1.999-0.381l-0.001,0 c-0.808-0.427-1.768-0.385-2.384-0.514c-0.308-0.064-0.509-0.161-0.602-0.341c-0.092-0.18-0.094-0.494,0.102-1.028l0.001-0.002 l0.001-0.002c0.097-0.299,0.025-0.626-0.021-0.934c-0.047-0.307-0.07-0.586,0.034-0.781l0.001-0.002 c0.135-0.259,0.332-0.352,0.576-0.439c0.245-0.088,0.534-0.157,0.764-0.386l0.001-0.001l0.001-0.001 c0.212-0.223,0.371-0.503,0.557-0.702c0.157-0.167,0.314-0.279,0.551-0.28c0.003,0,0.006,0,0.009,0 c0.041,0,0.085,0.003,0.132,0.011c0.314,0.047,0.588,0.268,0.853,0.625l0.762,1.389v0l0.001,0c0.202,0.423,0.631,0.89,0.994,1.365 c0.362,0.475,0.644,0.952,0.607,1.317L10.001,20.36z M9.938,19.35c-0.1-0.158-0.215-0.314-0.333-0.469 c-0.075-0.099-0.152-0.197-0.229-0.293c0.151,0,0.28-0.024,0.384-0.072c0.13-0.059,0.221-0.153,0.266-0.274 c0.09-0.242,0-0.583-0.288-0.973C9.448,16.879,8.96,16.439,8.244,16l0,0c-0.527-0.328-0.821-0.729-0.959-1.165 s-0.119-0.907-0.013-1.373c0.204-0.894,0.729-1.762,1.063-2.308c0.09-0.066,0.032,0.123-0.339,0.811 c-0.332,0.629-0.953,2.081-0.103,3.214c0.022-0.807,0.215-1.629,0.538-2.398c0.472-1.067,1.456-2.919,1.534-4.395 c0.041,0.029,0.18,0.123,0.241,0.158l0,0c0.182,0.106,0.316,0.262,0.492,0.403c0.177,0.142,0.396,0.264,0.729,0.283 c0.031,0.002,0.063,0.003,0.093,0.003c0.343,0,0.61-0.112,0.833-0.239c0.242-0.138,0.436-0.292,0.618-0.351h0.001 c0.387-0.122,0.694-0.335,0.869-0.585c0.302,1.186,1.001,2.897,1.45,3.733c0.239,0.443,0.715,1.385,0.92,2.52 c0.13-0.004,0.273,0.015,0.427,0.054c0.537-1.393-0.455-2.892-0.909-3.31c-0.184-0.178-0.192-0.258-0.102-0.254 c0.492,0.436,1.139,1.311,1.374,2.3c0.107,0.451,0.13,0.925,0.016,1.393c0.056,0.023,0.113,0.048,0.171,0.076 c0.862,0.42,1.181,0.785,1.027,1.283c-0.05-0.002-0.1-0.001-0.148,0c-0.004,0-0.009,0-0.014,0c0.125-0.395-0.151-0.687-0.889-1.02 c-0.764-0.336-1.373-0.303-1.476,0.379c-0.007,0.036-0.013,0.072-0.017,0.109c-0.057,0.02-0.114,0.045-0.172,0.076 c-0.358,0.197-0.555,0.553-0.664,0.99c-0.108,0.437-0.14,0.964-0.17,1.558c0,0,0,0,0,0c-0.019,0.298-0.141,0.702-0.266,1.129 C13.15,19.971,11.413,20.357,9.938,19.35z M19.566,19.407c-0.524,0.317-1.456,0.593-2.05,1.313c-0.517,0.615-1.146,0.952-1.7,0.996 c-0.555,0.044-1.033-0.186-1.315-0.752v-0.001L14.5,20.96c-0.175-0.333-0.102-0.858,0.045-1.412 c0.147-0.554,0.359-1.123,0.388-1.585v-0.001c0.03-0.592,0.063-1.11,0.163-1.509c0.1-0.399,0.256-0.669,0.533-0.821 c0.014-0.007,0.026-0.014,0.039-0.02c0.031,0.513,0.285,1.036,0.734,1.149c0.491,0.129,1.199-0.292,1.498-0.636 c0.06-0.002,0.118-0.006,0.175-0.007c0.262-0.006,0.481,0.009,0.707,0.205v0.001h0.001c0.173,0.146,0.255,0.423,0.326,0.733 c0.071,0.31,0.128,0.647,0.342,0.888l0,0l0.001,0c0.41,0.456,0.542,0.764,0.531,0.96C19.972,19.103,19.83,19.249,19.566,19.407z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M11.738 6.762c.015.048.093.04.138.063.04.02.071.065.116.066.042.001.107-.015.113-.057.008-.056-.073-.091-.126-.111-.067-.026-.153-.039-.216-.004C11.749 6.727 11.733 6.746 11.738 6.762L11.738 6.762zM11.278 6.762c-.016.048-.094.04-.139.063-.039.02-.071.065-.115.066-.042.001-.108-.015-.114-.057-.007-.056.074-.091.126-.111.067-.026.153-.039.217-.004C11.268 6.727 11.283 6.746 11.278 6.762L11.278 6.762z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
