//
//
var script = { name: 'LWhatsappSquare'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M12.043,6.925c-2.746,0-4.979,2.233-4.98,4.979c-0.001,0.94,0.263,1.856,0.761,2.649l0.118,0.188l-0.503,1.837l1.885-0.494 l0.181,0.108c0.766,0.454,1.641,0.693,2.535,0.693h0.001c2.744,0,4.977-2.233,4.979-4.978c0.001-1.331-0.517-2.582-1.456-3.522 C14.622,7.443,13.372,6.925,12.043,6.925z M14.971,14.043c-0.125,0.35-0.723,0.668-1.01,0.711 c-0.258,0.039-0.585,0.055-0.943-0.059c-0.217-0.068-0.495-0.161-0.853-0.315c-1.502-0.648-2.482-2.159-2.558-2.26 c-0.074-0.1-0.61-0.812-0.61-1.548c0-0.737,0.386-1.099,0.523-1.249C9.658,9.174,9.819,9.137,9.92,9.137 c0.1,0,0.199,0.001,0.287,0.005c0.092,0.004,0.215-0.035,0.336,0.257c0.125,0.3,0.425,1.036,0.462,1.111 c0.037,0.074,0.062,0.162,0.013,0.262c-0.05,0.101-0.074,0.162-0.15,0.25c-0.074,0.088-0.157,0.195-0.224,0.263 c-0.075,0.074-0.153,0.155-0.066,0.305c0.088,0.149,0.388,0.64,0.832,1.037c0.572,0.51,1.055,0.667,1.204,0.743 c0.15,0.074,0.237,0.063,0.325-0.038c0.087-0.101,0.374-0.437,0.474-0.586c0.1-0.15,0.199-0.125,0.337-0.076 c0.137,0.051,0.873,0.412,1.022,0.487c0.148,0.074,0.249,0.112,0.287,0.175C15.095,13.394,15.095,13.693,14.971,14.043z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M20,3H4C3.447,3,3,3.447,3,4v16c0,0.553,0.447,1,1,1h16c0.553,0,1-0.447,1-1V4C21,3.447,20.553,3,20,3z M12.04,17.896 h-0.002c-1.003,0-1.987-0.252-2.862-0.729L6,18l0.85-3.104c-0.523-0.908-0.799-1.938-0.799-2.994 C6.053,8.6,8.739,5.913,12.04,5.913c1.604,0.001,3.106,0.624,4.238,1.757c1.13,1.132,1.753,2.637,1.751,4.237 C18.028,15.209,15.341,17.896,12.04,17.896z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
