//
//
var script = { name: 'LWikipedia'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M12.081,12.932c-0.78,1.611-1.849,3.792-2.379,4.776c-0.513,0.896-0.94,0.776-1.278,0.024\tc-1.172-2.77-3.58-7.625-4.712-10.347c-0.209-0.502-0.367-0.823-0.516-0.95c-0.151-0.125-0.462-0.2-0.936-0.227\tC2.086,6.189,2,6.147,2,6.077V5.698L2.043,5.66c0.771-0.004,4.503,0,4.503,0l0.042,0.038V6.06c0,0.1-0.063,0.147-0.188,0.147\tl-0.47,0.024C5.527,6.257,5.325,6.368,5.325,6.596c0,0.112,0.044,0.275,0.139,0.501c0.902,2.206,4.017,8.772,4.017,8.772\tl0.114,0.039l2.01-4.012l-0.402-0.89L9.82,8.285c0,0-0.265-0.545-0.357-0.727C8.856,6.355,8.87,6.293,8.257,6.211\tc-0.173-0.02-0.261-0.042-0.261-0.125v-0.39l0.05-0.037h3.578l0.095,0.03v0.376c0,0.088-0.063,0.125-0.189,0.125l-0.257,0.039\tc-0.66,0.051-0.551,0.318-0.113,1.186l1.319,2.712l1.465-2.922c0.244-0.533,0.194-0.668,0.093-0.789\tc-0.058-0.07-0.255-0.185-0.677-0.2l-0.168-0.018c-0.043,0-0.082-0.013-0.121-0.043c-0.037-0.025-0.056-0.063-0.056-0.107V5.691\tl0.051-0.037c1.04-0.007,3.371,0,3.371,0l0.05,0.037v0.364c0,0.101-0.05,0.148-0.161,0.148c-0.539,0.024-0.652,0.079-0.854,0.366\tc-0.1,0.154-0.313,0.49-0.538,0.865l-1.919,3.563l-0.054,0.112l2.328,4.763l0.142,0.041l3.665-8.704\tc0.129-0.352,0.107-0.602-0.053-0.746c-0.165-0.144-0.289-0.228-0.716-0.246l-0.35-0.014c-0.051,0-0.088-0.011-0.127-0.037\tc-0.036-0.024-0.06-0.063-0.06-0.1V5.705l0.049-0.038h4.137l0.034,0.038v0.364c0,0.1-0.062,0.15-0.174,0.15\tc-0.541,0.024-0.94,0.15-1.203,0.351c-0.263,0.213-0.465,0.514-0.614,0.89c0,0-3.371,7.72-4.524,10.289\tc-0.438,0.84-0.878,0.765-1.253-0.026c-0.477-0.977-1.478-3.156-2.206-4.761L12.081,12.932L12.081,12.932z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
