//
//
var script = { name: 'LWordpress'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M19.891,7.788c0.7,1.281,1.099,2.75,1.099,4.313c0,3.315-1.797,6.214-4.47,7.771l2.746-7.939\tc0.513-1.282,0.684-2.309,0.684-3.219C19.949,8.375,19.928,8.063,19.891,7.788 M13.24,7.875c0.539-0.025,1.026-0.088,1.026-0.088\tc0.485-0.063,0.428-0.775-0.056-0.749c0,0-1.463,0.112-2.4,0.112c-0.887,0-2.375-0.125-2.375-0.125\tC8.948,7.001,8.885,7.738,9.374,7.763c0,0,0.449,0.052,0.938,0.075l1.399,3.838l-1.975,5.899L6.462,7.851\tC7.003,7.825,7.49,7.768,7.49,7.768c0.487-0.063,0.43-0.775-0.055-0.747c0,0-1.455,0.115-2.395,0.115\tc-0.167,0-0.365-0.007-0.575-0.013C6.093,4.726,8.862,3.113,12,3.113c2.341,0,4.471,0.894,6.071,2.36\tc-0.038-0.002-0.076-0.008-0.117-0.008c-0.883,0-1.51,0.77-1.51,1.596c0,0.741,0.427,1.369,0.883,2.108\tc0.343,0.601,0.742,1.37,0.742,2.481c0,0.763-0.295,1.662-0.685,2.899l-0.896,2.987l-3.25-9.675L13.24,7.875L13.24,7.875z M12,21.087c-0.883,0-1.734-0.127-2.54-0.364l2.697-7.838l2.763,7.572c0.021,0.044,0.042,0.085,0.065,0.124\tc-0.934,0.327-1.938,0.508-2.985,0.508 M3.01,12.101c0-1.304,0.279-2.542,0.778-3.658l4.287,11.749\tC5.078,18.734,3.01,15.66,3.01,12.101 M12,2.101c-5.513,0-10,4.487-10,10s4.487,10,10,10s10-4.487,10-10S17.513,2.101,12,2.101"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
