//
//
var script = { name: 'LYelp'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M18.824,16.675c-0.105,0.726-1.587,2.609-2.269,2.882c-0.232,0.093-0.457,0.07-0.637-0.068\tc-0.116-0.09-0.235-0.272-1.833-2.866l-0.475-0.773c-0.183-0.277-0.148-0.642,0.078-0.92c0.223-0.27,0.549-0.37,0.832-0.262\tc0.016,0.008,1.195,0.397,1.195,0.397c2.688,0.883,2.775,0.917,2.891,1.002c0.17,0.139,0.249,0.356,0.214,0.608H18.824\tL18.824,16.675z M13.438,12.729c-0.19-0.289-0.187-0.63,0.01-0.865l0.746-1.019c1.642-2.235,1.732-2.353,1.843-2.431\tc0.192-0.128,0.428-0.135,0.652-0.024c0.651,0.316,1.966,2.269,2.045,3.019v0.025c0.021,0.256-0.079,0.462-0.259,0.587\tc-0.123,0.079-0.235,0.125-3.291,0.866c-0.483,0.123-0.752,0.19-0.91,0.247l0.021-0.023c-0.302,0.091-0.64-0.055-0.831-0.357\tL13.438,12.729L13.438,12.729z M11.563,11.57c-0.146,0.046-0.591,0.185-1.139-0.702c0,0-3.694-5.813-3.78-5.992\tc-0.053-0.201,0.011-0.429,0.19-0.613c0.55-0.569,3.534-1.405,4.315-1.215c0.255,0.066,0.43,0.227,0.491,0.453\tc0.045,0.25,0.408,5.646,0.46,6.854C12.151,11.389,11.708,11.526,11.563,11.57z M12.05,17.483c-0.008,2.827-0.015,2.922-0.061,3.056\tc-0.079,0.211-0.26,0.352-0.51,0.398c-0.72,0.122-2.972-0.71-3.441-1.267c-0.09-0.123-0.147-0.246-0.157-0.37\tc-0.013-0.09,0-0.18,0.033-0.259c0.057-0.146,0.135-0.259,2.158-2.63l0.594-0.706c0.203-0.26,0.563-0.338,0.899-0.204\tc0.325,0.124,0.528,0.405,0.506,0.708v1.259L12.05,17.483z M5.92,15.675c-0.222-0.006-0.42-0.14-0.535-0.358\tc-0.083-0.162-0.142-0.428-0.18-0.752c-0.102-0.974,0.023-2.444,0.314-2.911c0.138-0.214,0.338-0.327,0.559-0.319\tc0.146,0,0.276,0.046,3.167,1.236l0.848,0.337c0.302,0.111,0.489,0.427,0.472,0.787c-0.022,0.348-0.224,0.616-0.521,0.696\tl-1.202,0.382c-2.689,0.864-2.778,0.888-2.919,0.877L5.92,15.675z M17.14,20.997h-0.004L17.133,21L17.14,20.997L17.14,20.997z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
