//
//
var script = { name: 'Meteor'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M9.5,22c2.003,0,3.887-0.78,5.313-2.207l6.904-7.096c0.28-0.288,0.36-0.716,0.204-1.086C21.765,11.241,21.402,11,21,11 h-3.301l4.175-7.514c0.217-0.391,0.148-0.877-0.167-1.193c-0.316-0.315-0.803-0.384-1.192-0.167l-7.11,3.95l0.576-2.879 c0.084-0.418-0.106-0.843-0.474-1.059c-0.367-0.215-0.832-0.175-1.155,0.102L4.196,9.197c-2.924,2.924-2.924,7.682,0,10.606 C5.613,21.22,7.497,22,9.5,22z M5.552,10.665l5.902-5.031l-0.248,1.24L11.02,7.804c0,0,0,0.001,0,0.001l-0.424,2.119l7.83-4.35 l-3.3,5.94c0,0,0,0.001-0.001,0.001L14.301,13H16h2.632l-5.243,5.389C12.35,19.428,10.969,20,9.5,20s-2.851-0.572-3.89-1.611 C3.467,16.245,3.467,12.755,5.552,10.665z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M9.5,18c1.933,0,3.5-1.567,3.5-3.5c0-1.4-0.828-2.6-2.016-3.159C10.989,11.394,11,11.446,11,11.5 c0,0.829-0.672,1.5-1.5,1.5S8,12.329,8,11.5c0-0.054,0.011-0.106,0.016-0.159C6.828,11.9,6,13.1,6,14.5C6,16.433,7.567,18,9.5,18z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
