//
//
var script = { name: 'Recycle'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.224 15.543l-.813-1.464-1.748.972.812 1.461c.048.085.082.173.104.264.021.082.028.164.025.251-.002.083-.016.166-.039.249-.023.079-.057.157-.104.235-.041.072-.092.138-.152.198-.061.061-.126.113-.195.154-.075.044-.151.077-.237.101S18.697 18 18.601 18H14v-2l-4 3 4 3v-2h4.601c.278 0 .552-.037.811-.109.253-.07.495-.173.722-.308.216-.128.418-.286.597-.468.178-.179.332-.38.456-.593.128-.217.229-.449.298-.688.071-.246.111-.498.118-.745.01-.263-.018-.528-.08-.782C21.459 16.046 21.359 15.79 21.224 15.543zM5.862 11.039l-2.31 4.62c-.121.242-.208.496-.261.755-.052.255-.069.514-.053.763.015.25.062.498.137.732.075.236.18.461.308.666.13.211.284.404.459.574.178.174.376.326.595.453.224.128.462.227.705.293C5.698 19.965 5.966 20 6.236 20H8v-2H6.236c-.094 0-.184-.012-.271-.035-.08-.022-.156-.054-.229-.095-.07-.041-.137-.091-.197-.151-.059-.057-.109-.122-.156-.198-.043-.068-.077-.142-.104-.224-.024-.078-.04-.157-.045-.244-.005-.079.001-.162.018-.245.018-.087.048-.173.089-.256l2.256-4.512 1.599.923L8.598 8 4 9.964 5.862 11.039zM18.598 12.964L19.196 8l-1.638.945-2.843-5.117c-.141-.253-.314-.483-.518-.685-.195-.193-.417-.358-.658-.49-.233-.128-.483-.224-.737-.284-.252-.061-.512-.084-.772-.083-.261.005-.521.044-.773.117-.256.073-.499.18-.725.316-.234.143-.449.317-.636.52C9.703 3.448 9.539 3.686 9.41 3.944L8.678 5.408l1.789.895.732-1.465c.045-.09.101-.171.166-.242.06-.064.128-.121.204-.166.073-.045.154-.08.239-.104s.173-.038.264-.04c.09-.001.178.007.266.029.084.02.165.051.243.094.077.042.148.095.21.156.068.068.128.147.177.235l2.858 5.146L14 11 18.598 12.964z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
