//
//
var script = { name: 'SBabyCarriage'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.666,12.277c0.065-0.22,0.126-0.441,0.171-0.665c0.003-0.017,0.004-0.033,0.008-0.05c0.02-0.098,0.029-0.199,0.045-0.298\tc0.025-0.157,0.055-0.313,0.07-0.471C21.986,10.533,22,10.268,22,10c0-2.209-0.896-4.209-2.343-5.657C18.209,2.896,16.209,2,14,2v8\tH6.517L5.659,8H2v2h2.341l1.828,4.266C4.898,14.791,4,16.042,4,17.5C4,19.43,5.57,21,7.5,21c1.759,0,3.204-1.309,3.449-3h2.102\tc0.245,1.691,1.69,3,3.449,3c1.93,0,3.5-1.57,3.5-3.5c0-0.63-0.181-1.213-0.473-1.725c0.042-0.041,0.089-0.077,0.131-0.119\tc0.36-0.361,0.688-0.759,0.977-1.184c0.288-0.43,0.536-0.886,0.736-1.359c0.016-0.037,0.026-0.076,0.041-0.113h0.001\tc0.006-0.014,0.009-0.028,0.015-0.042c0.088-0.22,0.168-0.441,0.235-0.668C21.664,12.286,21.665,12.282,21.666,12.277z M7.5,19\tC6.673,19,6,18.327,6,17.5S6.673,16,7.5,16S9,16.673,9,17.5S8.327,19,7.5,19z M16.5,19c-0.827,0-1.5-0.673-1.5-1.5\ts0.673-1.5,1.5-1.5s1.5,0.673,1.5,1.5S17.327,19,16.5,19z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
