//
//
var script = { name: 'SBadgeDollar'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M2.047,14.668c0.068,0.256,0.235,0.475,0.465,0.607l1.91,1.104v2.199c0,0.553,0.447,1,1,1h2.199l1.104,1.91 c0.133,0.229,0.352,0.396,0.608,0.466c0.085,0.022,0.171,0.034,0.258,0.034c0.174,0,0.347-0.046,0.501-0.135L12,20.75l1.91,1.104 c0.229,0.133,0.503,0.168,0.759,0.1s0.475-0.235,0.607-0.465l1.103-1.91h2.199c0.553,0,1-0.447,1-1v-2.199l1.91-1.104 c0.478-0.277,0.642-0.889,0.365-1.367L20.75,12l1.104-1.908c0.276-0.479,0.112-1.09-0.365-1.366l-1.91-1.104V5.422 c0-0.553-0.447-1-1-1h-2.199l-1.103-1.909c-0.133-0.229-0.352-0.397-0.607-0.466c-0.256-0.07-0.529-0.033-0.759,0.1L12,3.25 l-1.909-1.104c-0.479-0.277-1.09-0.112-1.366,0.365l-1.104,1.91H5.422c-0.553,0-1,0.447-1,1v2.199l-1.91,1.104 C2.282,8.858,2.115,9.077,2.047,9.333C1.979,9.59,2.015,9.862,2.147,10.092L3.251,12l-1.104,1.908 C2.015,14.139,1.979,14.411,2.047,14.668z M12,13c-3.48,0-4-1.879-4-3c0-1.287,1.029-2.583,3-2.915V6.012h2v1.109 c1.734,0.41,2.4,1.853,2.4,2.879h-1l-1,0.018C13.386,9.638,13.185,9,12,9c-1.299,0-2,0.515-2,1c0,0.374,0,1,2,1c3.48,0,4,1.879,4,3 c0,1.287-1.029,2.583-3,2.915V18h-2v-1.08C8.661,16.553,8,14.917,8,14h2c0.011,0.143,0.159,1,2,1c1.38,0,2-0.585,2-1 C14,13.675,14,13,12,13z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
