//
//
var script = { name: 'SBrush'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.207,11.278l-2.035-2.035l-1.415-1.415l-5.035-5.035c-0.391-0.391-1.023-0.391-1.414,0L6.151,7.949L4.736,9.363 c-0.566,0.567-0.878,1.321-0.878,2.122c0,0.802,0.313,1.556,0.879,2.121l0.707,0.707l-2.122,2.122 c-0.573,0.573-0.884,1.331-0.873,2.108c-0.011,0.887,0.377,1.729,1.063,2.308c0.52,0.439,1.188,0.681,1.886,0.681 c0.834,0,1.654-0.341,2.25-0.937l2.039-2.039l0.707,0.706c1.133,1.133,3.107,1.134,4.242,0.001l0.708-0.707l0,0l0.569-0.569 l0.138-0.138l0,0l5.156-5.157C21.598,12.302,21.598,11.669,21.207,11.278z M13.93,17.143l-0.708,0.706 c-0.376,0.379-1.034,0.379-1.414,0l-1.414-1.413c-0.391-0.391-1.023-0.391-1.414,0l-2.746,2.745 c-0.224,0.224-0.528,0.352-0.836,0.352c-0.159,0-0.391-0.036-0.595-0.208c-0.231-0.195-0.357-0.465-0.354-0.782 c-0.004-0.258,0.099-0.504,0.287-0.692l2.829-2.829c0.391-0.391,0.391-1.023,0-1.414l-1.414-1.415 c-0.189-0.188-0.293-0.438-0.293-0.706s0.104-0.519,0.293-0.708l0.707-0.707l3.536,3.536L13.93,17.143z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
