//
//
var script = { name: 'SFileDoc'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M12.186,14.552c-0.617,0-0.977,0.587-0.977,1.373c0,0.791,0.371,1.35,0.983,1.35 c0.617,0,0.971-0.588,0.971-1.374C13.163,15.175,12.815,14.552,12.186,14.552z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M14,2H6C4.896,2,4,2.896,4,4v16c0,1.104,0.896,2,2,2h12c1.104,0,2-0.896,2-2V8L14,2z M9.155,17.454 c-0.426,0.354-1.073,0.521-1.864,0.521c-0.475,0-0.81-0.03-1.038-0.06v-3.971c0.336-0.054,0.773-0.083,1.235-0.083 c0.768,0,1.266,0.138,1.655,0.432c0.42,0.312,0.684,0.81,0.684,1.522C9.827,16.59,9.545,17.124,9.155,17.454z M12.145,18 c-1.2,0-1.901-0.906-1.901-2.058c0-1.211,0.773-2.116,1.967-2.116c1.241,0,1.919,0.929,1.919,2.045 C14.129,17.196,13.325,18,12.145,18z M16.8,17.238c0.275,0,0.581-0.061,0.762-0.132l0.138,0.713 c-0.168,0.084-0.546,0.174-1.037,0.174c-1.397,0-2.117-0.869-2.117-2.021c0-1.379,0.983-2.146,2.207-2.146 c0.474,0,0.833,0.096,0.995,0.18l-0.186,0.726c-0.187-0.078-0.444-0.15-0.768-0.15c-0.726,0-1.29,0.438-1.29,1.338 C15.504,16.729,15.984,17.238,16.8,17.238z M14,9c-0.553,0-1,0-1,0V4l5,5H14z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M7.584,14.563c-0.203,0-0.335,0.018-0.413,0.036v2.645c0.078,0.018,0.204,0.018,0.317,0.018 c0.828,0.006,1.367-0.449,1.367-1.415C8.861,15.007,8.37,14.563,7.584,14.563z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
