//
//
var script = { name: 'SFilePng'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M7.782,14.576c-0.186,0-0.312,0.018-0.377,0.036v1.193c0.077,0.018,0.174,0.023,0.306,0.023 c0.485,0,0.785-0.246,0.785-0.659C8.496,14.798,8.238,14.576,7.782,14.576z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M14,2H6C4.896,2,4,2.896,4,4v16c0,1.104,0.896,2,2,2h12c1.104,0,2-0.896,2-2V8L14,2z M9.03,16.105 c-0.313,0.293-0.774,0.426-1.313,0.426c-0.12,0-0.229-0.007-0.312-0.019v1.445H6.499V13.97c0.282-0.048,0.678-0.083,1.235-0.083 c0.563,0,0.966,0.107,1.235,0.323c0.258,0.204,0.432,0.54,0.432,0.936S9.27,15.877,9.03,16.105z M13.332,17.958h-0.96l-0.863-1.56 c-0.24-0.432-0.504-0.953-0.701-1.427l-0.019,0.006c0.024,0.534,0.036,1.104,0.036,1.763v1.218h-0.84v-4.042h1.067l0.84,1.481 c0.24,0.426,0.479,0.93,0.659,1.385h0.019c-0.061-0.533-0.078-1.079-0.078-1.685v-1.182h0.84V17.958z M17.501,17.772 C17.22,17.868,16.686,18,16.152,18c-0.737,0-1.271-0.186-1.644-0.546c-0.371-0.348-0.575-0.875-0.569-1.469 c0.006-1.344,0.983-2.111,2.309-2.111c0.521,0,0.924,0.103,1.121,0.198l-0.191,0.731c-0.222-0.096-0.498-0.174-0.941-0.174 c-0.762,0-1.338,0.432-1.338,1.308c0,0.833,0.522,1.325,1.271,1.325c0.21,0,0.378-0.024,0.45-0.061v-0.846h-0.624v-0.713h1.505 V17.772z M14,9c-0.553,0-1,0-1,0V4l5,5H14z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
