//
//
var script = { name: 'SFlorist'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M10.84 21.871L12 22c-.586-4.691-4.313-8.368-9.013-8.891L2 13l.021.173C2.596 17.763 6.242 21.36 10.84 21.871zM21.979 13.173L22 13l-.987.109C16.313 13.632 12.586 17.309 12 22l1.16-.129C17.758 21.36 21.404 17.763 21.979 13.173zM18.063 5.5c-.69-1.195-2.22-1.605-3.415-.915-.062.035-.111.081-.168.121C14.485 4.637 14.5 4.57 14.5 4.5 14.5 3.119 13.381 2 12 2S9.5 3.119 9.5 4.5c0 .07.015.137.021.206C9.464 4.666 9.414 4.62 9.353 4.585 8.157 3.895 6.628 4.305 5.938 5.5s-.28 2.725.915 3.415C6.914 8.95 6.979 8.971 7.041 9 6.979 9.029 6.914 9.05 6.853 9.085c-1.195.69-1.605 2.22-.915 3.415s2.22 1.605 3.415.915c.062-.035.111-.081.168-.121C9.515 13.363 9.5 13.43 9.5 13.5c0 1.381 1.119 2.5 2.5 2.5s2.5-1.119 2.5-2.5c0-.07-.015-.137-.021-.206.057.04.106.086.168.121 1.195.69 2.725.28 3.415-.915s.28-2.725-.915-3.415C17.086 9.05 17.021 9.029 16.959 9c.063-.029.127-.05.188-.085C18.343 8.225 18.753 6.695 18.063 5.5zM12 12c-1.657 0-3-1.343-3-3s1.343-3 3-3 3 1.343 3 3S13.657 12 12 12z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
