//
//
var script = { name: 'SGasPump'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M19.616,6.48l0.014-0.017l-4-3.24l-1.26,1.554l2.067,1.674c-0.992,0.612-1.61,1.771-1.394,3.062 c0.15,0.899,0.769,1.676,1.57,2.111c0.895,0.487,1.68,0.442,2.378,0.194L18.976,18c0,0.137-0.026,0.268-0.078,0.391 c-0.05,0.117-0.123,0.225-0.217,0.318c-0.09,0.09-0.198,0.164-0.315,0.213c-0.246,0.104-0.532,0.104-0.78,0 c-0.116-0.049-0.225-0.123-0.318-0.217c-0.09-0.09-0.163-0.197-0.213-0.314c-0.052-0.123-0.078-0.254-0.078-0.391L17,16 c0-0.404-0.079-0.797-0.236-1.168c-0.151-0.357-0.368-0.68-0.641-0.951c-0.275-0.275-0.597-0.492-0.954-0.645 C14.798,13.08,14.405,13,14,13h-1V9V5c0-1.104-0.896-2-2-2H4C2.896,3,2,3.896,2,5v4v10c0,1.104,0.896,2,2,2h7c1.104,0,2-0.896,2-2 v-4h1c0.136,0,0.267,0.027,0.391,0.078c0.116,0.051,0.225,0.123,0.318,0.217c0.09,0.09,0.163,0.199,0.213,0.316 C14.974,15.734,15,15.865,15,16l-0.024,2c0,0.406,0.079,0.799,0.236,1.168c0.151,0.359,0.368,0.68,0.641,0.951 c0.275,0.277,0.597,0.494,0.954,0.645C17.178,20.922,17.57,21,17.976,21s0.798-0.078,1.168-0.236 c0.358-0.15,0.68-0.367,0.951-0.641c0.276-0.275,0.493-0.596,0.645-0.953c0.157-0.371,0.236-0.764,0.236-1.17L21,9 C21,7.941,20.446,7.016,19.616,6.48z M11,8H4V5h7V8z M18,10c-0.552,0-1-0.448-1-1c0-0.551,0.448-1,1-1s1,0.449,1,1 C19,9.552,18.552,10,18,10z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
