//
//
var script = { name: 'SOffer'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M20.749,12l1.104-1.908c0.276-0.479,0.112-1.09-0.365-1.366l-1.91-1.104V5.422c0-0.553-0.447-1-1-1h-2.199l-1.103-1.909\tc-0.133-0.229-0.352-0.397-0.607-0.466c-0.256-0.07-0.529-0.033-0.759,0.1l-1.91,1.104L10.09,2.146C9.611,1.869,9,2.034,8.724,2.512\tL7.62,4.422H5.421c-0.553,0-1,0.447-1,1v2.199l-1.91,1.104C2.281,8.858,2.114,9.077,2.046,9.333\tC1.978,9.59,2.014,9.862,2.146,10.092L3.25,12l-1.104,1.908c-0.133,0.23-0.169,0.503-0.101,0.76\tc0.068,0.256,0.235,0.475,0.465,0.607l1.91,1.104v2.199c0,0.553,0.447,1,1,1H7.62l1.104,1.91c0.133,0.229,0.352,0.396,0.608,0.466\tc0.085,0.022,0.171,0.034,0.258,0.034c0.174,0,0.347-0.046,0.501-0.135l1.908-1.104l1.91,1.104c0.229,0.133,0.503,0.168,0.759,0.1\ts0.475-0.235,0.607-0.465l1.103-1.91h2.199c0.553,0,1-0.447,1-1v-2.199l1.91-1.104c0.478-0.277,0.642-0.889,0.365-1.367L20.749,12z M9.499,6.99c0.828,0,1.5,0.672,1.5,1.5s-0.672,1.5-1.5,1.5s-1.5-0.672-1.5-1.5S8.671,6.99,9.499,6.99z M9.799,16.59l-1.6-1.199l6-8\tl1.6,1.199L9.799,16.59z M14.499,16.99c-0.828,0-1.5-0.672-1.5-1.5s0.672-1.5,1.5-1.5s1.5,0.672,1.5,1.5S15.327,16.99,14.499,16.99z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
