//
//
var script = { name: 'SPackage'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M21.993,7.95c-0.003-0.072-0.01-0.145-0.029-0.214c-0.007-0.025-0.021-0.049-0.03-0.074 c-0.021-0.057-0.04-0.113-0.07-0.165c-0.016-0.027-0.038-0.049-0.057-0.075c-0.032-0.045-0.063-0.091-0.102-0.13 c-0.023-0.022-0.053-0.04-0.078-0.061c-0.039-0.032-0.075-0.067-0.12-0.094c-0.004-0.003-0.009-0.003-0.014-0.006 c-0.003-0.001-0.005-0.004-0.008-0.006l-8.979-4.99c-0.301-0.168-0.667-0.167-0.97-0.001l-9.021,4.99 C2.512,7.127,2.509,7.131,2.504,7.134c-0.003,0.001-0.007,0.002-0.01,0.004C2.459,7.158,2.433,7.187,2.4,7.211 C2.364,7.238,2.326,7.262,2.294,7.293C2.264,7.324,2.241,7.36,2.215,7.395C2.188,7.43,2.158,7.461,2.136,7.499 C2.11,7.542,2.096,7.591,2.077,7.638c-0.014,0.033-0.032,0.064-0.041,0.1c-0.019,0.067-0.025,0.139-0.029,0.21 C2.006,7.965,2,7.98,2,7.998v0.001V8v8c0,0.363,0.197,0.698,0.515,0.874l8.978,4.987l0.001,0.001c0.001,0,0.001,0,0.002,0.001 l0.02,0.011c0.043,0.024,0.09,0.037,0.135,0.054c0.032,0.013,0.063,0.03,0.097,0.039C11.829,21.988,11.915,22,12,22 s0.171-0.012,0.254-0.033c0.033-0.009,0.064-0.026,0.097-0.039c0.045-0.017,0.092-0.029,0.135-0.054l0.02-0.011 c0.001-0.001,0.001-0.001,0.002-0.001l0.001-0.001l8.978-4.987C21.803,16.698,22,16.363,22,16V8V7.999V7.998 C22,7.981,21.994,7.967,21.993,7.95z M11.972,11.872L5.058,8.005l2.762-1.528l6.834,3.905L11.972,11.872z M12.02,4.153L18.941,8 l-2.244,1.247l-6.83-3.903L12.02,4.153z M13,19.301l0.002-5.679L16,11.944V15l2-1v-3.175l2-1.119v5.705L13,19.301z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
