//
//
var script = { name: 'SPalette'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M9.38,21.646C10.244,21.881,11.125,22,12,22c0.047,0,0.094,0,0.141-0.001c1.031-0.015,1.972-0.548,2.515-1.425 c0.542-0.876,0.6-1.953,0.153-2.88l-0.198-0.415c-0.453-0.942-0.097-1.796,0.388-2.281c0.485-0.485,1.341-0.841,2.28-0.388h0.001 l0.413,0.199c0.929,0.446,2.005,0.389,2.881-0.153c0.878-0.543,1.41-1.483,1.426-2.515c0.014-0.921-0.105-1.85-0.353-2.76 c-1.038-3.827-4.353-6.754-8.246-7.285C10.252,1.669,7.16,2.698,4.93,4.929S1.666,10.247,2.096,13.4 C2.626,17.294,5.554,20.608,9.38,21.646z M15.5,6C16.328,6,17,6.671,17,7.5S16.328,9,15.5,9S14,8.329,14,7.5S14.672,6,15.5,6z M10.5,5C11.328,5,12,5.671,12,6.5S11.328,8,10.5,8S9,7.329,9,6.5S9.672,5,10.5,5z M9,15.506c0,0.829-0.672,1.5-1.5,1.5 S6,16.334,6,15.506c0-0.828,0.672-1.5,1.5-1.5S9,14.678,9,15.506z M6.5,9.006c0.828,0,1.5,0.672,1.5,1.5c0,0.829-0.672,1.5-1.5,1.5 S5,11.334,5,10.506C5,9.678,5.672,9.006,6.5,9.006z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
