//
//
var script = { name: 'ShapePolygon'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M20,14.185v-2.369c1.161-0.415,2-1.514,2-2.816c0-1.654-1.346-3-3-3c-0.825,0-1.573,0.335-2.116,0.876l-3.915-1.566 C12.979,5.207,13,5.106,13,5c0-1.654-1.346-3-3-3S7,3.346,7,5c0,0.762,0.295,1.451,0.765,1.981L6.091,9.212 C5.752,9.079,5.386,9,5,9c-1.654,0-3,1.346-3,3s1.346,3,3,3c0.159,0,0.313-0.023,0.465-0.047l1.935,2.579 C7.152,17.968,7,18.464,7,19c0,1.654,1.346,3,3,3c1.358,0,2.495-0.913,2.863-2.153l3.962-0.792C17.373,19.634,18.143,20,19,20 c1.654,0,3-1.346,3-3C22,15.698,21.161,14.599,20,14.185z M19,8c0.552,0,1,0.449,1,1s-0.448,1-1,1s-1-0.449-1-1S18.448,8,19,8z M10,4c0.552,0,1,0.449,1,1s-0.448,1-1,1S9,5.551,9,5S9.448,4,10,4z M4,12c0-0.551,0.448-1,1-1s1,0.449,1,1s-0.448,1-1,1 S4,12.551,4,12z M10,20c-0.552,0-1-0.448-1-1s0.448-1,1-1s1,0.448,1,1S10.552,20,10,20z M12.761,17.828 C12.304,16.755,11.238,16,10,16c-0.386,0-0.752,0.079-1.091,0.213l-1.674-2.231C7.705,13.451,8,12.762,8,12 c0-0.536-0.152-1.032-0.399-1.467l1.935-2.58C9.688,7.977,9.841,8,10,8c0.825,0,1.573-0.335,2.116-0.876l3.915,1.566 C16.021,8.793,16,8.894,16,9c0,1.302,0.839,2.401,2,2.815v2.369c-1.161,0.414-2,1.514-2,2.815c0,0.061,0.015,0.117,0.018,0.177 L12.761,17.828z M19,18c-0.552,0-1-0.448-1-1s0.448-1,1-1s1,0.448,1,1S19.552,18,19,18z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
