//
//
var script = { name: 'Sync'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M13 7.101c.003 0 .007 0 .01.001.318.065.634.163.937.291.296.125.581.281.849.461.264.178.513.383.74.61s.434.477.611.74c.182.271.337.556.461.851.127.298.225.613.291.937C16.966 11.321 17 11.66 17 12s-.034.679-.102 1.008c-.066.324-.164.639-.292.938-.123.293-.278.579-.459.848-.179.264-.385.514-.612.741l1.414 1.414c.317-.317.605-.666.855-1.037.254-.377.472-.777.645-1.187.178-.42.315-.863.408-1.316C18.952 12.949 19 12.475 19 12s-.048-.949-.143-1.41c-.093-.454-.23-.896-.407-1.314-.174-.412-.392-.812-.646-1.19-.249-.37-.537-.718-.854-1.035-.317-.318-.666-.605-1.035-.854-.373-.252-.773-.47-1.188-.646-.425-.18-.868-.317-1.315-.408C13.275 5.115 13.137 5.1 13 5.08V2L9 6l4 4V7.101zM5.55 14.724c.174.412.392.812.646 1.19.249.37.537.718.854 1.034.314.316.664.604 1.036.855.373.252.773.47 1.188.646.425.18.868.317 1.315.408.167.034.338.056.508.078v2.944l4-4-4-4v3.03c-.035-.006-.072-.003-.107-.011-.318-.065-.634-.163-.937-.291-.296-.125-.581-.281-.849-.461-.267-.179-.515-.384-.74-.61-.228-.228-.434-.477-.611-.74-.182-.271-.337-.556-.461-.851-.127-.298-.225-.613-.291-.937C7.034 12.679 7 12.34 7 12s.034-.679.102-1.008c.066-.324.164-.639.292-.938C7.517 9.76 7.672 9.475 7.853 9.206c.179-.264.385-.514.612-.741L7.051 7.05C6.733 7.368 6.445 7.716 6.195 8.087 5.941 8.464 5.724 8.864 5.551 9.274c-.178.42-.315.863-.408 1.316C5.048 11.051 5 11.525 5 12s.048.949.143 1.41C5.235 13.863 5.373 14.306 5.55 14.724z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
