//
//
var script = { name: 'Train'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          fill: "none",
          d:
            "M17.63 5c-.071-.109-.151-.221-.253-.335-.55-.617-1.021-.664-1.041-.666L7.625 4C7.624 4.001 7.163 4.039 6.636 4.653 6.532 4.773 6.462 4.887 6.39 5H17.63zM18 8L18 7 6 7 6 8 6 10 18 10zM6 12v1 4h12v-4-1H6zM8.5 16C7.672 16 7 15.328 7 14.5S7.672 13 8.5 13s1.5.672 1.5 1.5S9.328 16 8.5 16zM15.5 16c-.828 0-1.5-.672-1.5-1.5s.672-1.5 1.5-1.5 1.5.672 1.5 1.5S16.328 16 15.5 16z"
        }
      }),
      _c("circle", { attrs: { cx: "8.5", cy: "14.5", r: "1.5" } }),
      _c("circle", { attrs: { cx: "15.5", cy: "14.5", r: "1.5" } }),
      _c("path", {
        attrs: {
          d:
            "M18.871,3.335C17.715,2.037,16.509,2,16.375,2H7.621C7.397,2,6.222,2.065,5.118,3.351C4.031,4.616,4,5.862,4,6v2v10 c0,0.553,0.447,1,1,1h2l-2,3h2.317l0.667-1h8l0.677,1H19l-2-3h2c0.553,0,1-0.447,1-1v-5v-2V8V6.019V6 C20.001,5.813,19.968,4.566,18.871,3.335z M7.625,4l8.711-0.001c0.02,0.002,0.491,0.049,1.041,0.666 C17.479,4.779,17.559,4.891,17.63,5H6.39c0.072-0.113,0.143-0.227,0.246-0.347C7.163,4.039,7.624,4.001,7.625,4z M6,8V7h12v1v2H6V8 z M18,17H6v-4v-1h12v1V17z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
