//
//
var script = { name: 'ColorWandOutline'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        viewBox: "0 0 512 512",
        height: "1em",
        width: "1em",
        fill: "currentColor"
      }
    },
    [
      _c("rect", {
        attrs: {
          fill: "none",
          stroke: "currentColor",
          "stroke-miterlimit": "10",
          "stroke-width": "32",
          x: "280.48",
          y: "122.9",
          width: "63.03",
          height: "378.2",
          rx: "31.52",
          transform: "translate(-129.23 312) rotate(-45)"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M178.38,178.38h0a31.64,31.64,0,0,0,0,44.75L223.25,268,268,223.25l-44.87-44.87A31.64,31.64,0,0,0,178.38,178.38Z"
        }
      }),
      _c("line", {
        attrs: {
          stroke: "currentColor",
          "stroke-miterlimit": "10",
          "stroke-width": "32",
          "stroke-linecap": "round",
          x1: "48",
          y1: "192",
          x2: "96",
          y2: "192"
        }
      }),
      _c("line", {
        attrs: {
          stroke: "currentColor",
          "stroke-miterlimit": "10",
          "stroke-width": "32",
          "stroke-linecap": "round",
          x1: "90.18",
          y1: "90.18",
          x2: "124.12",
          y2: "124.12"
        }
      }),
      _c("line", {
        attrs: {
          stroke: "currentColor",
          "stroke-miterlimit": "10",
          "stroke-width": "32",
          "stroke-linecap": "round",
          x1: "192",
          y1: "48",
          x2: "192",
          y2: "96"
        }
      }),
      _c("line", {
        attrs: {
          stroke: "currentColor",
          "stroke-miterlimit": "10",
          "stroke-width": "32",
          "stroke-linecap": "round",
          x1: "293.82",
          y1: "90.18",
          x2: "259.88",
          y2: "124.12"
        }
      }),
      _c("line", {
        attrs: {
          stroke: "currentColor",
          "stroke-miterlimit": "10",
          "stroke-width": "32",
          "stroke-linecap": "round",
          x1: "124.12",
          y1: "259.88",
          x2: "90.18",
          y2: "293.82"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
