//
//
var script = { name: 'Globe'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 512 512",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M340.75,344.49c5.91-20.7,9.82-44.75,11.31-67.84A4.41,4.41,0,0,0,347.6,272H276.54a4.43,4.43,0,0,0-4.47,4.39v55.3a4.44,4.44,0,0,0,4.14,4.38,273.51,273.51,0,0,1,59,11.39A4.45,4.45,0,0,0,340.75,344.49Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M323.58,377.31a260.05,260.05,0,0,0-46.6-9.09,4.42,4.42,0,0,0-4.91,4.29v65.24a4.47,4.47,0,0,0,6.76,3.7c15.9-9.27,29-24.84,40.84-45.43,1.94-3.36,4.89-9.15,6.67-12.69A4.29,4.29,0,0,0,323.58,377.31Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M235.29,368.4a256.85,256.85,0,0,0-46.56,8.82c-2.64.76-3.75,4.4-2.55,6.79,1.79,3.56,4,8.11,5.89,11.51,13,23,26.84,37.5,41.24,45.93a4.47,4.47,0,0,0,6.76-3.7V372.48A4.16,4.16,0,0,0,235.29,368.4Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M235.6,272H164.54a4.41,4.41,0,0,0-4.46,4.64c1.48,23.06,5.37,47.16,11.26,67.84a4.46,4.46,0,0,0,5.59,3,272.2,272.2,0,0,1,59-11.36,4.44,4.44,0,0,0,4.15-4.38V276.4A4.43,4.43,0,0,0,235.6,272Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M277,143.78a235.8,235.8,0,0,0,46.5-9.14,4.3,4.3,0,0,0,2.76-6c-1.79-3.57-4.27-8.68-6.17-12.09-12.29-22-26.14-37.35-41.24-46a4.48,4.48,0,0,0-6.76,3.7v65.23A4.43,4.43,0,0,0,277,143.78Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M276.54,240H347.6a4.39,4.39,0,0,0,4.46-4.58c-1.48-22.77-5.27-47.8-11.16-68.22a4.46,4.46,0,0,0-5.59-2.95c-19,5.74-38.79,10.43-59.09,12a4.4,4.4,0,0,0-4.15,4.32v55.11A4.4,4.4,0,0,0,276.54,240Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M233.31,70.56c-15.42,8.57-29.17,24.43-41.47,46.37-1.91,3.41-4.19,8.11-6,11.67a4.31,4.31,0,0,0,2.76,6,225.42,225.42,0,0,0,46.54,9.17,4.43,4.43,0,0,0,4.91-4.29V74.26A4.49,4.49,0,0,0,233.31,70.56Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M235.92,176.26c-20.3-1.55-40.11-6.24-59.09-12a4.46,4.46,0,0,0-5.59,2.95c-5.89,20.42-9.68,45.45-11.16,68.22a4.39,4.39,0,0,0,4.46,4.58H235.6a4.4,4.4,0,0,0,4.47-4.34V180.58A4.4,4.4,0,0,0,235.92,176.26Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M414.39,97.61A224,224,0,1,0,97.61,414.39,224,224,0,1,0,414.39,97.61ZM176.6,430.85a219.08,219.08,0,0,1-12.48-19.66c-2-3.69-4.84-9.26-6.73-13.13a7.29,7.29,0,0,0-10.31-3.16c-4.3,2.41-10,5.72-14.13,8.43a147.29,147.29,0,0,1-23.57-22.43,248.83,248.83,0,0,1,30.41-18.36c1.86-1,2.77-2.14,2.18-4.18a374.8,374.8,0,0,1-14.09-82.17,4.36,4.36,0,0,0-4.3-4.17H66.84a2,2,0,0,1-2-1.7A98.28,98.28,0,0,1,64,256a96.27,96.27,0,0,1,.86-14.29,2,2,0,0,1,2-1.7H123.6c2.29,0,4.17-1.32,4.29-3.63a372.71,372.71,0,0,1,14-81.83,4.36,4.36,0,0,0-2.19-5.11,260.63,260.63,0,0,1-29.84-17.9A169.82,169.82,0,0,1,133,108.74c4.08,2.68,9.4,5.71,13.66,8.11a7.89,7.89,0,0,0,11-3.42c1.88-3.87,4-8.18,6.06-11.88a221.93,221.93,0,0,1,12.54-19.91A185,185,0,0,1,256,64c28.94,0,55.9,7,80.53,18.46a202.23,202.23,0,0,1,12,19c2.59,4.66,5.34,10.37,7.66,15.32a4.29,4.29,0,0,0,5.92,1.94c5.38-2.91,11.21-6.26,16.34-9.63a171.36,171.36,0,0,1,23.2,23,244.89,244.89,0,0,1-29.06,17.31,4.35,4.35,0,0,0-2.18,5.12,348.68,348.68,0,0,1,13.85,81.4,4.33,4.33,0,0,0,4.3,4.12l56.62-.07a2,2,0,0,1,2,1.7,117.46,117.46,0,0,1,0,28.62,2,2,0,0,1-2,1.72l-56.67,0a4.35,4.35,0,0,0-4.3,4.17,367.4,367.4,0,0,1-13.87,81.3,4.45,4.45,0,0,0,2.19,5.19c5,2.59,10.57,5.48,15.37,8.42s9.55,6.08,14.13,9.34a172.73,172.73,0,0,1-23,22.93c-2.44-1.61-5.34-3.44-7.84-4.94-1.72-1-4.89-2.77-6.65-3.76-3.82-2.14-7.88-.54-9.79,3.4s-4.83,9.59-6.87,13.25a212.42,212.42,0,0,1-12.35,19.53C310.91,442.37,284.94,448,256,448S201.23,442.37,176.6,430.85Z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
