//
//
var script = { name: 'LogoNoSmoking'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 512 512",
        fill: "currentColor"
      }
    },
    [
      _c("rect", { attrs: { x: "360", y: "256", width: "16", height: "48" } }),
      _c("polygon", {
        attrs: { points: "112 304 241.6 304 193.6 256 112 256 112 304" }
      }),
      _c("path", {
        attrs: {
          d:
            "M364.5,60.1a8.79,8.79,0,0,1-1-.6,218.79,218.79,0,0,0-34.4-14.8l-5.4-1.8A223.2,223.2,0,0,0,256,32C132.3,32,32,132.3,32,256A223.71,223.71,0,0,0,147.4,451.8c.4.2.7.5,1.1.7a218.79,218.79,0,0,0,34.4,14.8l5.4,1.8A222.7,222.7,0,0,0,256,480c123.7,0,224-100.3,224-224A223.76,223.76,0,0,0,364.5,60.1ZM256,426.4a161.85,161.85,0,0,1-27.2-2.4,170.14,170.14,0,0,1-28.5-7.3c-1.9-.6-3.8-1.2-5.6-1.9a162.39,162.39,0,0,1-19-8.6A170.33,170.33,0,0,1,85.6,255.9c0-37.2,12.4-71.4,32.7-99.4L355.5,393.7C327.4,414,293.2,426.4,256,426.4Zm137.8-71L156.6,118.2c28-20.2,62.1-32.6,99.4-32.6A162.79,162.79,0,0,1,283.2,88a170.14,170.14,0,0,1,28.5,7.3c1.8.6,3.7,1.2,5.6,1.9a162,162,0,0,1,18,8.1,170.25,170.25,0,0,1,91.2,150.8C426.4,293.3,414,327.4,393.8,355.4Z"
        }
      }),
      _c("polygon", { attrs: { points: "352 256 318 256 352 290 352 256" } }),
      _c("rect", { attrs: { x: "384", y: "256", width: "16", height: "48" } }),
      _c("path", {
        attrs: {
          d:
            "M360.1,212.7c-8.8-4.1-22-5.7-45.6-5.7h-3.6c-12.7.1-15.9-.1-20-6.1-2.8-4.2-1-14.8,3.7-21.9a8,8,0,0,0,.4-8.2,8.26,8.26,0,0,0-7-4.3,53.67,53.67,0,0,1-18.3-3.9c-10.6-4.5-15.6-12.1-15.6-23.1,0-25.8,21.8-27.7,22.8-27.7v-16c-12,0-38.8,11-38.8,43.7,0,17.5,9,31,25.7,38a66.58,66.58,0,0,0,12,3.6c-3.3,9.8-3.6,20.9,1.7,28.7,9,13.3,20.3,13.2,33.3,13.1h3.5c26.3,0,34.6,2.3,38.9,4.3,5.7,2.6,6.8,7.5,6.6,15.7v1h16v-1C375.8,235.8,376.1,220.1,360.1,212.7Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M400,244c0-25.7-3-39.2-9.1-49.6C382.3,180,368.5,172,352,172H334.6c2.9-8.3,5.4-19.8,3.5-30.9-3.2-18.8-19.1-30-43.1-30v16c21,0,26.1,9.1,27.4,16.7,2.5,14.5-6.8,32.1-6.9,32.3a8,8,0,0,0,.1,7.9,8.06,8.06,0,0,0,6.9,3.9H352c10.9,0,19.4,4.9,25.1,14.6,3.1,5.3,6.9,13.5,6.9,41.4h16Z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
