//
//
var script = { name: 'MailUnread'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 512 512",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M496,128.05A64,64,0,0,0,389.62,80h0a64.52,64.52,0,0,0-12.71,15.3l0,.06c-.54.9-1.05,1.82-1.55,2.74l-.24.49c-.42.79-.81,1.59-1.19,2.4-.12.25-.23.5-.34.75-.33.73-.65,1.47-.95,2.22-.13.31-.25.62-.37.93-.27.7-.53,1.4-.78,2.11l-.36,1.06c-.22.68-.43,1.37-.63,2.06-.12.39-.23.77-.33,1.16-.19.67-.35,1.35-.51,2-.1.41-.2.82-.29,1.23-.14.68-.27,1.37-.39,2-.08.42-.16.84-.23,1.26-.11.7-.2,1.41-.29,2.12-.05.41-.11.82-.16,1.24-.08.77-.13,1.54-.19,2.32,0,.36-.06.72-.08,1.08-.06,1.14-.1,2.28-.1,3.44h0c0,1,0,2,.08,2.94l0,.64q.08,1.41.21,2.82l.06.48c.09.85.19,1.69.32,2.52,0,.17,0,.35.07.52.14.91.31,1.81.49,2.71,0,.22.09.43.13.65.18.86.38,1.72.6,2.57,0,.07,0,.13,0,.19.23.89.48,1.76.75,2.63l.21.68c.27.85.55,1.68.85,2.51.06.18.13.36.2.54.27.71.55,1.42.84,2.12.08.21.16.41.25.61.34.79.69,1.58,1.06,2.36l.33.67c.35.7.7,1.4,1.07,2.09a64.34,64.34,0,0,0,22.14,23.81h0a62.22,62.22,0,0,0,7.62,4.15l.39.18q2.66,1.2,5.43,2.16l.95.32,1.5.47c.45.14.9.26,1.36.39l1.92.5,1.73.4,1.15.23,1.83.33.94.15c.9.13,1.81.25,2.72.35l.77.07c.73.06,1.47.12,2.21.16l.86.05c1,0,1.94.08,2.92.08h0c1.16,0,2.3,0,3.44-.1l1.08-.08c.78-.06,1.55-.11,2.32-.19l1.25-.16c.7-.09,1.41-.18,2.11-.29l1.26-.23c.68-.12,1.37-.25,2-.39l1.23-.29c.68-.16,1.36-.32,2-.51.39-.1.77-.21,1.16-.33.69-.2,1.38-.41,2.06-.63l1.06-.36c.71-.25,1.41-.51,2.11-.78l.93-.37c.75-.3,1.49-.62,2.22-.95l.75-.34c.81-.38,1.61-.77,2.4-1.19l.49-.24c.92-.5,1.84-1,2.74-1.55l.06,0A64.52,64.52,0,0,0,480,170.38h0A63.81,63.81,0,0,0,496,128.05Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M371.38,202.53l-105.56,82.1a16,16,0,0,1-19.64,0l-144-112a16,16,0,1,1,19.64-25.26L256,251.73l94.22-73.28A95.86,95.86,0,0,1,348.81,80H88a56.06,56.06,0,0,0-56,56V376a56.06,56.06,0,0,0,56,56H424a56.06,56.06,0,0,0,56-56V211.19a95.85,95.85,0,0,1-108.62-8.66Z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
