//
//
var script = { name: 'Storefront'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        viewBox: "0 0 512 512",
        height: "1em",
        width: "1em",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M480,448H468a4,4,0,0,1-4-4V273.51a4,4,0,0,0-5.24-3.86,104.92,104.92,0,0,1-28.32,4.78c-1.18,0-2.3.05-3.4.05a108.22,108.22,0,0,1-52.85-13.64,8.23,8.23,0,0,0-8,0,108.18,108.18,0,0,1-52.84,13.64,106.11,106.11,0,0,1-52.46-13.79,8.21,8.21,0,0,0-8.09,0,108.14,108.14,0,0,1-53.16,13.8,106.19,106.19,0,0,1-52.77-14,8.25,8.25,0,0,0-8.16,0,106.19,106.19,0,0,1-52.77,14c-1.09,0-2.19,0-3.37-.05h-.06a104.91,104.91,0,0,1-29.28-5.09A4,4,0,0,0,48,273.15V444a4,4,0,0,1-4,4H32.5c-8.64,0-16.1,6.64-16.48,15.28A16,16,0,0,0,32,480H479.5c8.64,0,16.1-6.64,16.48-15.28A16,16,0,0,0,480,448ZM224,380a4,4,0,0,1-4,4H132a4,4,0,0,1-4-4V316a12,12,0,0,1,12-12h72a12,12,0,0,1,12,12ZM380,448H308a4,4,0,0,1-4-4V316a12,12,0,0,1,12-12h56a12,12,0,0,1,12,12V444A4,4,0,0,1,380,448Z"
        }
      }),
      _c("path", {
        attrs: {
          d:
            "M492.57,170.28,449.65,71.79C438.41,47.62,412.74,32,384.25,32H127.7C99.21,32,73.54,47.62,62.3,71.79L19.38,170.28c-9,19.41,2.89,39.34,2.9,39.35l.28.45c.49.78,1.36,2,1.89,2.78.05.06.09.13.14.2l5,6.05a7.45,7.45,0,0,0,.6.65l5,4.83.42.36A69.65,69.65,0,0,0,45,231.73v.05a74,74,0,0,0,36,10.67c.82,0,1.64,0,2.47,0a76.08,76.08,0,0,0,51.89-20.31l.33-.31a7.94,7.94,0,0,1,10.89,0l.33.31a77.3,77.3,0,0,0,104.46,0,8,8,0,0,1,10.87,0h0a77.31,77.31,0,0,0,104.21.23,7.88,7.88,0,0,1,10.71,0,76.81,76.81,0,0,0,52.31,20.08l2.49,0a71.35,71.35,0,0,0,35-10.7v0c.95-.57,1.86-1.17,2.78-1.77A71.33,71.33,0,0,0,488,212.17l1.74-2.63q.26-.4.48-.84C491.88,205.32,500.78,187.94,492.57,170.28Z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
