//
//
var script = { name: 'Dna'};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "svg",
    {
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 24 24",
        fill: "currentColor"
      }
    },
    [
      _c("path", {
        attrs: {
          d:
            "M15.794,11.09c0.332-0.263,0.648-0.542,0.947-0.84c0.046-0.047,0.09-0.095,0.136-0.142c0.283-0.293,0.552-0.598,0.801-0.919\tc0.021-0.025,0.042-0.05,0.062-0.075c0.255-0.335,0.486-0.688,0.702-1.049c0.043-0.073,0.086-0.146,0.128-0.22\tc0.205-0.364,0.395-0.737,0.559-1.123c0.02-0.047,0.035-0.095,0.055-0.142c0.147-0.361,0.274-0.731,0.383-1.109\tc0.021-0.07,0.044-0.14,0.063-0.211c0.107-0.402,0.189-0.813,0.251-1.229c0.013-0.087,0.021-0.175,0.032-0.263\tC19.964,3.336,20,2.899,20,2.457V2h-2v0.457C18,2.641,17.969,2.818,17.958,3H6.022C6.012,2.819,6,2.64,6,2.457V2H4v0.457\tc0,4.876,3.269,9.218,7.952,10.569c0.009,0.003,0.019,0.006,0.028,0.009c2.881,0.823,5.056,3.146,5.769,5.965H6.251l0.799-2h7.607\tc-0.55-0.791-1.245-1.471-2.063-2h-4c0.445-0.424,0.956-0.774,1.491-1.09c-0.74-0.259-1.436-0.601-2.08-1.014\tC5.55,14.812,4,17.779,4,21.015V23h2v-1.985C6,21.01,6.001,21.005,6.001,21h11.998c0,0.005,0.001,0.01,0.001,0.015V23h2v-1.985\tc0-3.83-2.159-7.303-5.443-9.07c0.374-0.221,0.729-0.468,1.072-0.729C15.684,11.174,15.739,11.134,15.794,11.09z M14.604,9.486\tc-0.694,0.557-1.476,1.014-2.325,1.348c-0.092,0.036-0.185,0.068-0.278,0.102C10.802,10.511,9.73,9.846,8.836,9h6.292\tc-0.171,0.161-0.332,0.333-0.517,0.48C14.609,9.482,14.606,9.484,14.604,9.486z M17.619,5c-0.005,0.016-0.007,0.033-0.012,0.049\tC17.592,5.1,17.578,5.15,17.563,5.2c-0.123,0.379-0.271,0.746-0.441,1.103c-0.023,0.05-0.047,0.1-0.072,0.149\tC16.954,6.642,16.837,6.817,16.729,7h-9.48C6.881,6.374,6.588,5.703,6.378,5H17.619z"
        }
      })
    ]
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

export default __vue_component__;
